/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-kusto version: 3.2.7(undefined)
 * Released under the MIT license
 * https://https://github.com/Azure/monaco-kusto/blob/master/README.md
 *-----------------------------------------------------------------------------*/
var __rest=this&&this.__rest||function(n,t){var e={};for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&t.indexOf(r)<0&&(e[r]=n[r]);if(null!=n&&"function"==typeof Object.getOwnPropertySymbols){var i=0;for(r=Object.getOwnPropertySymbols(n);i<r.length;i++)t.indexOf(r[i])<0&&Object.prototype.propertyIsEnumerable.call(n,r[i])&&(e[r[i]]=n[r[i]])}return e};define("vs/language/kusto/workerManager",["require","exports"],(function(n,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WorkerManager=void 0;var e=function(){function n(n){var t=this;this._defaults=n,this._worker=null,this._idleCheckInterval=self.setInterval((function(){return t._checkIfIdle()}),3e4),this._lastUsedTime=0,this._configChangeListener=this._defaults.onDidChange((function(){return t._saveStateAndStopWorker()}))}return n.prototype._stopWorker=function(){this._worker&&(this._worker.dispose(),this._worker=null),this._client=null},n.prototype._saveStateAndStopWorker=function(){var n=this;this._worker&&this._worker.getProxy().then((function(t){t.getSchema().then((function(t){n._storedState={schema:t},n._stopWorker()}))}))},n.prototype.dispose=function(){clearInterval(this._idleCheckInterval),this._configChangeListener.dispose(),this._stopWorker()},n.prototype._checkIfIdle=function(){if(this._worker){var n=this._defaults.getWorkerMaxIdleTime(),t=Date.now()-this._lastUsedTime;n>0&&t>n&&this._saveStateAndStopWorker()}},n.prototype._getClient=function(){var n=this;this._lastUsedTime=Date.now();var t=this._defaults.languageSettings,e=(t.onDidProvideCompletionItems,__rest(t,["onDidProvideCompletionItems"]));return this._client||(this._worker=monaco.editor.createWebWorker({moduleId:"vs/language/kusto/kustoWorker",label:"kusto",createData:{languageSettings:e,languageId:"kusto"}}),this._client=this._worker.getProxy().then((function(t){return n._storedState?t.setSchema(n._storedState.schema).then((function(){return t})):t}))),this._client},n.prototype.getLanguageServiceWorker=function(){for(var n,t=this,e=[],r=0;r<arguments.length;r++)e[r]=arguments[r];return this._getClient().then((function(t){n=t})).then((function(n){return t._worker.withSyncedResources(e)})).then((function(t){return n}))},n}();t.WorkerManager=e})),define("vs/language/kusto/languageService/kustoMonarchLanguageDefinition",["require","exports"],(function(n,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.KustoLanguageDefinition=void 0,t.KustoLanguageDefinition={name:"kusto",mimeTypes:["text/kusto"],displayName:"Kusto",defaultToken:"invalid",brackets:[["[","]","delimiter.square"],["(",")","delimiter.parenthesis"]],wordDefinition:/(-?\d*\.\d\w*)|([^\`\~\!\#\%\^\&\*\(\)\-\=\+\[\{\]\}\\\|\;\:\'\"\,\.\<\>\/\?\s]+)/g,promotedOperatorCommandTokens:Kusto.Data.IntelliSense.CslCommandParser.PromotedOperatorCommandTokens.slice(0),operatorCommandTokens:Kusto.Data.IntelliSense.CslCommandParser.OperatorCommandTokens.slice(0),keywords:["by","on","contains","notcontains","containscs","notcontainscs","startswith","has","matches","regex","true","false","and","or","typeof","int","string","date","datetime","time","long","real","​boolean","bool"],operators:["+","-","*","/",">","<","==","<>","<=",">=","~","!~"],builtinFunctions:["countof","bin","extentid","extract","extractjson","floor","iif","isnull","isnotnull","notnull","isempty","isnotempty","notempty","now","re2","strcat","strlen","toupper","tostring","count","cnt","sum","min","max","avg"],tokenizer:{root:[{include:"@whitespace"},{include:"@numbers"},{include:"@strings"},{include:"@dqstrings"},{include:"@literals"},{include:"@comments"},[/[;,.]/,"delimiter"],[/[()\[\]]/,"@brackets"],[/[<>=!%&+\-*/|~^]/,"operator"],[/[\w@#\-$]+/,{cases:{"@keywords":"keyword","@promotedOperatorCommandTokens":"operator.sql","@operatorCommandTokens":"keyword","@operators":"operator","@builtinFunctions":"predefined","@default":"identifier"}}]],whitespace:[[/\s+/,"white"]],comments:[["\\/\\/+.*","comment"]],numbers:[[/0[xX][0-9a-fA-F]*/,"number"],[/[$][+-]*\d*(\.\d*)?/,"number"],[/((\d+(\.\d*)?)|(\.\d+))([eE][\-+]?\d+)?/,"number"]],strings:[[/H'/,{token:"string.quote",bracket:"@open",next:"@string"}],[/h'/,{token:"string.quote",bracket:"@open",next:"@string"}],[/'/,{token:"string.quote",bracket:"@open",next:"@string"}]],string:[[/[^']+/,"string"],[/''/,"string"],[/'/,{token:"string.quote",bracket:"@close",next:"@pop"}]],dqstrings:[[/H"/,{token:"string.quote",bracket:"@open",next:"@dqstring"}],[/h"/,{token:"string.quote",bracket:"@open",next:"@dqstring"}],[/"/,{token:"string.quote",bracket:"@open",next:"@dqstring"}]],dqstring:[[/[^"]+/,"string"],[/""/,"string"],[/"/,{token:"string.quote",bracket:"@close",next:"@pop"}]],literals:[[/datetime\(\d{4}-\d{2}-\d{2}(\s+\d{2}:\d{2}(:\d{2}(\.\d{0,3})?)?)?\)/,"number"],[/time\((\d+(s(ec(onds?)?)?|m(in(utes?)?)?|h(ours?)?|d(ays?)?)|(\s*(('[^']+')|("[^"]+"))\s*))\)/,"number"],[/guid\([\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12}\)/,"number"],[/typeof\((int|string|date|datetime|time|long|real|boolean|bool)\)/,"number"]]}}})),function(n){if("object"==typeof module&&"object"==typeof module.exports){var t=n(require,exports);void 0!==t&&(module.exports=t)}else"function"==typeof define&&define.amd&&define("vscode-languageserver-types/main",["require","exports"],n)}((function(n,t){"use strict";var e,r,i,o,u,a,c,f,s,l,d,p,h;Object.defineProperty(t,"__esModule",{value:!0}),function(n){n.create=function(n,t){return{line:n,character:t}},n.is=function(n){var t=n;return w.objectLiteral(t)&&w.number(t.line)&&w.number(t.character)}}(e=t.Position||(t.Position={})),function(n){n.create=function(n,t,r,i){if(w.number(n)&&w.number(t)&&w.number(r)&&w.number(i))return{start:e.create(n,t),end:e.create(r,i)};if(e.is(n)&&e.is(t))return{start:n,end:t};throw new Error("Range#create called with invalid arguments["+n+", "+t+", "+r+", "+i+"]")},n.is=function(n){var t=n;return w.objectLiteral(t)&&e.is(t.start)&&e.is(t.end)}}(r=t.Range||(t.Range={})),function(n){n.create=function(n,t){return{uri:n,range:t}},n.is=function(n){var t=n;return w.defined(t)&&r.is(t.range)&&(w.string(t.uri)||w.undefined(t.uri))}}(i=t.Location||(t.Location={})),function(n){n.create=function(n,t,e,r){return{targetUri:n,targetRange:t,targetSelectionRange:e,originSelectionRange:r}},n.is=function(n){var t=n;return w.defined(t)&&r.is(t.targetRange)&&w.string(t.targetUri)&&(r.is(t.targetSelectionRange)||w.undefined(t.targetSelectionRange))&&(r.is(t.originSelectionRange)||w.undefined(t.originSelectionRange))}}(t.LocationLink||(t.LocationLink={})),function(n){n.create=function(n,t,e,r){return{red:n,green:t,blue:e,alpha:r}},n.is=function(n){var t=n;return w.number(t.red)&&w.number(t.green)&&w.number(t.blue)&&w.number(t.alpha)}}(o=t.Color||(t.Color={})),function(n){n.create=function(n,t){return{range:n,color:t}},n.is=function(n){var t=n;return r.is(t.range)&&o.is(t.color)}}(t.ColorInformation||(t.ColorInformation={})),function(n){n.create=function(n,t,e){return{label:n,textEdit:t,additionalTextEdits:e}},n.is=function(n){var t=n;return w.string(t.label)&&(w.undefined(t.textEdit)||f.is(t))&&(w.undefined(t.additionalTextEdits)||w.typedArray(t.additionalTextEdits,f.is))}}(t.ColorPresentation||(t.ColorPresentation={})),function(n){n.Comment="comment",n.Imports="imports",n.Region="region"}(t.FoldingRangeKind||(t.FoldingRangeKind={})),function(n){n.create=function(n,t,e,r,i){var o={startLine:n,endLine:t};return w.defined(e)&&(o.startCharacter=e),w.defined(r)&&(o.endCharacter=r),w.defined(i)&&(o.kind=i),o},n.is=function(n){var t=n;return w.number(t.startLine)&&w.number(t.startLine)&&(w.undefined(t.startCharacter)||w.number(t.startCharacter))&&(w.undefined(t.endCharacter)||w.number(t.endCharacter))&&(w.undefined(t.kind)||w.string(t.kind))}}(t.FoldingRange||(t.FoldingRange={})),function(n){n.create=function(n,t){return{location:n,message:t}},n.is=function(n){var t=n;return w.defined(t)&&i.is(t.location)&&w.string(t.message)}}(u=t.DiagnosticRelatedInformation||(t.DiagnosticRelatedInformation={})),function(n){n.Error=1,n.Warning=2,n.Information=3,n.Hint=4}(t.DiagnosticSeverity||(t.DiagnosticSeverity={})),function(n){n.Unnecessary=1,n.Deprecated=2}(t.DiagnosticTag||(t.DiagnosticTag={})),function(n){n.create=function(n,t,e,r,i,o){var u={range:n,message:t};return w.defined(e)&&(u.severity=e),w.defined(r)&&(u.code=r),w.defined(i)&&(u.source=i),w.defined(o)&&(u.relatedInformation=o),u},n.is=function(n){var t=n;return w.defined(t)&&r.is(t.range)&&w.string(t.message)&&(w.number(t.severity)||w.undefined(t.severity))&&(w.number(t.code)||w.string(t.code)||w.undefined(t.code))&&(w.string(t.source)||w.undefined(t.source))&&(w.undefined(t.relatedInformation)||w.typedArray(t.relatedInformation,u.is))}}(a=t.Diagnostic||(t.Diagnostic={})),function(n){n.create=function(n,t){for(var e=[],r=2;r<arguments.length;r++)e[r-2]=arguments[r];var i={title:n,command:t};return w.defined(e)&&e.length>0&&(i.arguments=e),i},n.is=function(n){var t=n;return w.defined(t)&&w.string(t.title)&&w.string(t.command)}}(c=t.Command||(t.Command={})),function(n){n.replace=function(n,t){return{range:n,newText:t}},n.insert=function(n,t){return{range:{start:n,end:n},newText:t}},n.del=function(n){return{range:n,newText:""}},n.is=function(n){var t=n;return w.objectLiteral(t)&&w.string(t.newText)&&r.is(t.range)}}(f=t.TextEdit||(t.TextEdit={})),function(n){n.create=function(n,t){return{textDocument:n,edits:t}},n.is=function(n){var t=n;return w.defined(t)&&g.is(t.textDocument)&&Array.isArray(t.edits)}}(s=t.TextDocumentEdit||(t.TextDocumentEdit={})),function(n){n.create=function(n,t){var e={kind:"create",uri:n};return void 0===t||void 0===t.overwrite&&void 0===t.ignoreIfExists||(e.options=t),e},n.is=function(n){var t=n;return t&&"create"===t.kind&&w.string(t.uri)&&(void 0===t.options||(void 0===t.options.overwrite||w.boolean(t.options.overwrite))&&(void 0===t.options.ignoreIfExists||w.boolean(t.options.ignoreIfExists)))}}(l=t.CreateFile||(t.CreateFile={})),function(n){n.create=function(n,t,e){var r={kind:"rename",oldUri:n,newUri:t};return void 0===e||void 0===e.overwrite&&void 0===e.ignoreIfExists||(r.options=e),r},n.is=function(n){var t=n;return t&&"rename"===t.kind&&w.string(t.oldUri)&&w.string(t.newUri)&&(void 0===t.options||(void 0===t.options.overwrite||w.boolean(t.options.overwrite))&&(void 0===t.options.ignoreIfExists||w.boolean(t.options.ignoreIfExists)))}}(d=t.RenameFile||(t.RenameFile={})),function(n){n.create=function(n,t){var e={kind:"delete",uri:n};return void 0===t||void 0===t.recursive&&void 0===t.ignoreIfNotExists||(e.options=t),e},n.is=function(n){var t=n;return t&&"delete"===t.kind&&w.string(t.uri)&&(void 0===t.options||(void 0===t.options.recursive||w.boolean(t.options.recursive))&&(void 0===t.options.ignoreIfNotExists||w.boolean(t.options.ignoreIfNotExists)))}}(p=t.DeleteFile||(t.DeleteFile={})),function(n){n.is=function(n){var t=n;return t&&(void 0!==t.changes||void 0!==t.documentChanges)&&(void 0===t.documentChanges||t.documentChanges.every((function(n){return w.string(n.kind)?l.is(n)||d.is(n)||p.is(n):s.is(n)})))}}(h=t.WorkspaceEdit||(t.WorkspaceEdit={}));var g,v,_,m,y=function(){function n(n){this.edits=n}return n.prototype.insert=function(n,t){this.edits.push(f.insert(n,t))},n.prototype.replace=function(n,t){this.edits.push(f.replace(n,t))},n.prototype.delete=function(n){this.edits.push(f.del(n))},n.prototype.add=function(n){this.edits.push(n)},n.prototype.all=function(){return this.edits},n.prototype.clear=function(){this.edits.splice(0,this.edits.length)},n}(),b=function(){function n(n){var t=this;this._textEditChanges=Object.create(null),n&&(this._workspaceEdit=n,n.documentChanges?n.documentChanges.forEach((function(n){if(s.is(n)){var e=new y(n.edits);t._textEditChanges[n.textDocument.uri]=e}})):n.changes&&Object.keys(n.changes).forEach((function(e){var r=new y(n.changes[e]);t._textEditChanges[e]=r})))}return Object.defineProperty(n.prototype,"edit",{get:function(){return this._workspaceEdit},enumerable:!0,configurable:!0}),n.prototype.getTextEditChange=function(n){if(g.is(n)){if(this._workspaceEdit||(this._workspaceEdit={documentChanges:[]}),!this._workspaceEdit.documentChanges)throw new Error("Workspace edit is not configured for document changes.");var t=n;if(!(r=this._textEditChanges[t.uri])){var e={textDocument:t,edits:i=[]};this._workspaceEdit.documentChanges.push(e),r=new y(i),this._textEditChanges[t.uri]=r}return r}if(this._workspaceEdit||(this._workspaceEdit={changes:Object.create(null)}),!this._workspaceEdit.changes)throw new Error("Workspace edit is not configured for normal text edit changes.");var r;if(!(r=this._textEditChanges[n])){var i=[];this._workspaceEdit.changes[n]=i,r=new y(i),this._textEditChanges[n]=r}return r},n.prototype.createFile=function(n,t){this.checkDocumentChanges(),this._workspaceEdit.documentChanges.push(l.create(n,t))},n.prototype.renameFile=function(n,t,e){this.checkDocumentChanges(),this._workspaceEdit.documentChanges.push(d.create(n,t,e))},n.prototype.deleteFile=function(n,t){this.checkDocumentChanges(),this._workspaceEdit.documentChanges.push(p.create(n,t))},n.prototype.checkDocumentChanges=function(){if(!this._workspaceEdit||!this._workspaceEdit.documentChanges)throw new Error("Workspace edit is not configured for document changes.")},n}();t.WorkspaceChange=b,function(n){n.create=function(n){return{uri:n}},n.is=function(n){var t=n;return w.defined(t)&&w.string(t.uri)}}(t.TextDocumentIdentifier||(t.TextDocumentIdentifier={})),function(n){n.create=function(n,t){return{uri:n,version:t}},n.is=function(n){var t=n;return w.defined(t)&&w.string(t.uri)&&(null===t.version||w.number(t.version))}}(g=t.VersionedTextDocumentIdentifier||(t.VersionedTextDocumentIdentifier={})),function(n){n.create=function(n,t,e,r){return{uri:n,languageId:t,version:e,text:r}},n.is=function(n){var t=n;return w.defined(t)&&w.string(t.uri)&&w.string(t.languageId)&&w.number(t.version)&&w.string(t.text)}}(t.TextDocumentItem||(t.TextDocumentItem={})),function(n){n.PlainText="plaintext",n.Markdown="markdown"}(v=t.MarkupKind||(t.MarkupKind={})),function(n){n.is=function(t){var e=t;return e===n.PlainText||e===n.Markdown}}(v=t.MarkupKind||(t.MarkupKind={})),function(n){n.is=function(n){var t=n;return w.objectLiteral(n)&&v.is(t.kind)&&w.string(t.value)}}(_=t.MarkupContent||(t.MarkupContent={})),function(n){n.Text=1,n.Method=2,n.Function=3,n.Constructor=4,n.Field=5,n.Variable=6,n.Class=7,n.Interface=8,n.Module=9,n.Property=10,n.Unit=11,n.Value=12,n.Enum=13,n.Keyword=14,n.Snippet=15,n.Color=16,n.File=17,n.Reference=18,n.Folder=19,n.EnumMember=20,n.Constant=21,n.Struct=22,n.Event=23,n.Operator=24,n.TypeParameter=25}(t.CompletionItemKind||(t.CompletionItemKind={})),function(n){n.PlainText=1,n.Snippet=2}(t.InsertTextFormat||(t.InsertTextFormat={})),function(n){n.Deprecated=1}(t.CompletionItemTag||(t.CompletionItemTag={})),function(n){n.create=function(n){return{label:n}}}(t.CompletionItem||(t.CompletionItem={})),function(n){n.create=function(n,t){return{items:n||[],isIncomplete:!!t}}}(t.CompletionList||(t.CompletionList={})),function(n){n.fromPlainText=function(n){return n.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")},n.is=function(n){var t=n;return w.string(t)||w.objectLiteral(t)&&w.string(t.language)&&w.string(t.value)}}(m=t.MarkedString||(t.MarkedString={})),function(n){n.is=function(n){var t=n;return!!t&&w.objectLiteral(t)&&(_.is(t.contents)||m.is(t.contents)||w.typedArray(t.contents,m.is))&&(void 0===n.range||r.is(n.range))}}(t.Hover||(t.Hover={})),function(n){n.create=function(n,t){return t?{label:n,documentation:t}:{label:n}}}(t.ParameterInformation||(t.ParameterInformation={})),function(n){n.create=function(n,t){for(var e=[],r=2;r<arguments.length;r++)e[r-2]=arguments[r];var i={label:n};return w.defined(t)&&(i.documentation=t),w.defined(e)?i.parameters=e:i.parameters=[],i}}(t.SignatureInformation||(t.SignatureInformation={})),function(n){n.Text=1,n.Read=2,n.Write=3}(t.DocumentHighlightKind||(t.DocumentHighlightKind={})),function(n){n.create=function(n,t){var e={range:n};return w.number(t)&&(e.kind=t),e}}(t.DocumentHighlight||(t.DocumentHighlight={})),function(n){n.File=1,n.Module=2,n.Namespace=3,n.Package=4,n.Class=5,n.Method=6,n.Property=7,n.Field=8,n.Constructor=9,n.Enum=10,n.Interface=11,n.Function=12,n.Variable=13,n.Constant=14,n.String=15,n.Number=16,n.Boolean=17,n.Array=18,n.Object=19,n.Key=20,n.Null=21,n.EnumMember=22,n.Struct=23,n.Event=24,n.Operator=25,n.TypeParameter=26}(t.SymbolKind||(t.SymbolKind={})),function(n){n.Deprecated=1}(t.SymbolTag||(t.SymbolTag={})),function(n){n.create=function(n,t,e,r,i){var o={name:n,kind:t,location:{uri:r,range:e}};return i&&(o.containerName=i),o}}(t.SymbolInformation||(t.SymbolInformation={})),function(n){n.create=function(n,t,e,r,i,o){var u={name:n,detail:t,kind:e,range:r,selectionRange:i};return void 0!==o&&(u.children=o),u},n.is=function(n){var t=n;return t&&w.string(t.name)&&w.number(t.kind)&&r.is(t.range)&&r.is(t.selectionRange)&&(void 0===t.detail||w.string(t.detail))&&(void 0===t.deprecated||w.boolean(t.deprecated))&&(void 0===t.children||Array.isArray(t.children))}}(t.DocumentSymbol||(t.DocumentSymbol={})),function(n){n.Empty="",n.QuickFix="quickfix",n.Refactor="refactor",n.RefactorExtract="refactor.extract",n.RefactorInline="refactor.inline",n.RefactorRewrite="refactor.rewrite",n.Source="source",n.SourceOrganizeImports="source.organizeImports",n.SourceFixAll="source.fixAll"}(t.CodeActionKind||(t.CodeActionKind={})),function(n){n.create=function(n,t){var e={diagnostics:n};return null!=t&&(e.only=t),e},n.is=function(n){var t=n;return w.defined(t)&&w.typedArray(t.diagnostics,a.is)&&(void 0===t.only||w.typedArray(t.only,w.string))}}(t.CodeActionContext||(t.CodeActionContext={})),function(n){n.create=function(n,t,e){var r={title:n};return c.is(t)?r.command=t:r.edit=t,void 0!==e&&(r.kind=e),r},n.is=function(n){var t=n;return t&&w.string(t.title)&&(void 0===t.diagnostics||w.typedArray(t.diagnostics,a.is))&&(void 0===t.kind||w.string(t.kind))&&(void 0!==t.edit||void 0!==t.command)&&(void 0===t.command||c.is(t.command))&&(void 0===t.isPreferred||w.boolean(t.isPreferred))&&(void 0===t.edit||h.is(t.edit))}}(t.CodeAction||(t.CodeAction={})),function(n){n.create=function(n,t){var e={range:n};return w.defined(t)&&(e.data=t),e},n.is=function(n){var t=n;return w.defined(t)&&r.is(t.range)&&(w.undefined(t.command)||c.is(t.command))}}(t.CodeLens||(t.CodeLens={})),function(n){n.create=function(n,t){return{tabSize:n,insertSpaces:t}},n.is=function(n){var t=n;return w.defined(t)&&w.number(t.tabSize)&&w.boolean(t.insertSpaces)}}(t.FormattingOptions||(t.FormattingOptions={})),function(n){n.create=function(n,t,e){return{range:n,target:t,data:e}},n.is=function(n){var t=n;return w.defined(t)&&r.is(t.range)&&(w.undefined(t.target)||w.string(t.target))}}(t.DocumentLink||(t.DocumentLink={})),function(n){n.create=function(n,t){return{range:n,parent:t}},n.is=function(t){var e=t;return void 0!==e&&r.is(e.range)&&(void 0===e.parent||n.is(e.parent))}}(t.SelectionRange||(t.SelectionRange={})),t.EOL=["\n","\r\n","\r"],function(n){n.create=function(n,t,e,r){return new k(n,t,e,r)},n.is=function(n){var t=n;return!!(w.defined(t)&&w.string(t.uri)&&(w.undefined(t.languageId)||w.string(t.languageId))&&w.number(t.lineCount)&&w.func(t.getText)&&w.func(t.positionAt)&&w.func(t.offsetAt))},n.applyEdits=function(n,t){for(var e=n.getText(),r=function n(t,e){if(t.length<=1)return t;var r=t.length/2|0,i=t.slice(0,r),o=t.slice(r);n(i,e),n(o,e);var u=0,a=0,c=0;for(;u<i.length&&a<o.length;){var f=e(i[u],o[a]);t[c++]=f<=0?i[u++]:o[a++]}for(;u<i.length;)t[c++]=i[u++];for(;a<o.length;)t[c++]=o[a++];return t}(t,(function(n,t){var e=n.range.start.line-t.range.start.line;return 0===e?n.range.start.character-t.range.start.character:e})),i=e.length,o=r.length-1;o>=0;o--){var u=r[o],a=n.offsetAt(u.range.start),c=n.offsetAt(u.range.end);if(!(c<=i))throw new Error("Overlapping edit");e=e.substring(0,a)+u.newText+e.substring(c,e.length),i=a}return e}}(t.TextDocument||(t.TextDocument={}));var w,k=function(){function n(n,t,e,r){this._uri=n,this._languageId=t,this._version=e,this._content=r,this._lineOffsets=void 0}return Object.defineProperty(n.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"version",{get:function(){return this._version},enumerable:!0,configurable:!0}),n.prototype.getText=function(n){if(n){var t=this.offsetAt(n.start),e=this.offsetAt(n.end);return this._content.substring(t,e)}return this._content},n.prototype.update=function(n,t){this._content=n.text,this._version=t,this._lineOffsets=void 0},n.prototype.getLineOffsets=function(){if(void 0===this._lineOffsets){for(var n=[],t=this._content,e=!0,r=0;r<t.length;r++){e&&(n.push(r),e=!1);var i=t.charAt(r);e="\r"===i||"\n"===i,"\r"===i&&r+1<t.length&&"\n"===t.charAt(r+1)&&r++}e&&t.length>0&&n.push(t.length),this._lineOffsets=n}return this._lineOffsets},n.prototype.positionAt=function(n){n=Math.max(Math.min(n,this._content.length),0);var t=this.getLineOffsets(),r=0,i=t.length;if(0===i)return e.create(0,n);for(;r<i;){var o=Math.floor((r+i)/2);t[o]>n?i=o:r=o+1}var u=r-1;return e.create(u,n-t[u])},n.prototype.offsetAt=function(n){var t=this.getLineOffsets();if(n.line>=t.length)return this._content.length;if(n.line<0)return 0;var e=t[n.line],r=n.line+1<t.length?t[n.line+1]:this._content.length;return Math.max(Math.min(e+n.character,r),e)},Object.defineProperty(n.prototype,"lineCount",{get:function(){return this.getLineOffsets().length},enumerable:!0,configurable:!0}),n}();!function(n){var t=Object.prototype.toString;n.defined=function(n){return void 0!==n},n.undefined=function(n){return void 0===n},n.boolean=function(n){return!0===n||!1===n},n.string=function(n){return"[object String]"===t.call(n)},n.number=function(n){return"[object Number]"===t.call(n)},n.func=function(n){return"[object Function]"===t.call(n)},n.objectLiteral=function(n){return null!==n&&"object"==typeof n},n.typedArray=function(n,t){return Array.isArray(n)&&n.every(t)}}(w||(w={}))})),define("vscode-languageserver-types",["vscode-languageserver-types/main"],(function(n){return n})),
/**
 * @license
 * Lodash <https://lodash.com/>
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
function(){function n(n,t,e){switch(e.length){case 0:return n.call(t);case 1:return n.call(t,e[0]);case 2:return n.call(t,e[0],e[1]);case 3:return n.call(t,e[0],e[1],e[2])}return n.apply(t,e)}function t(n,t,e,r){for(var i=-1,o=null==n?0:n.length;++i<o;){var u=n[i];t(r,u,e(u),n)}return r}function e(n,t){for(var e=-1,r=null==n?0:n.length;++e<r&&!1!==t(n[e],e,n););return n}function r(n,t){for(var e=null==n?0:n.length;e--&&!1!==t(n[e],e,n););return n}function i(n,t){for(var e=-1,r=null==n?0:n.length;++e<r;)if(!t(n[e],e,n))return!1;return!0}function o(n,t){for(var e=-1,r=null==n?0:n.length,i=0,o=[];++e<r;){var u=n[e];t(u,e,n)&&(o[i++]=u)}return o}function u(n,t){return!(null==n||!n.length)&&v(n,t,0)>-1}function a(n,t,e){for(var r=-1,i=null==n?0:n.length;++r<i;)if(e(t,n[r]))return!0;return!1}function c(n,t){for(var e=-1,r=null==n?0:n.length,i=Array(r);++e<r;)i[e]=t(n[e],e,n);return i}function f(n,t){for(var e=-1,r=t.length,i=n.length;++e<r;)n[i+e]=t[e];return n}function s(n,t,e,r){var i=-1,o=null==n?0:n.length;for(r&&o&&(e=n[++i]);++i<o;)e=t(e,n[i],i,n);return e}function l(n,t,e,r){var i=null==n?0:n.length;for(r&&i&&(e=n[--i]);i--;)e=t(e,n[i],i,n);return e}function d(n,t){for(var e=-1,r=null==n?0:n.length;++e<r;)if(t(n[e],e,n))return!0;return!1}function p(n){return n.match($n)||[]}function h(n,t,e){var r;return e(n,(function(n,e,i){if(t(n,e,i))return r=e,!1})),r}function g(n,t,e,r){for(var i=n.length,o=e+(r?1:-1);r?o--:++o<i;)if(t(n[o],o,n))return o;return-1}function v(n,t,e){return t==t?function(n,t,e){for(var r=e-1,i=n.length;++r<i;)if(n[r]===t)return r;return-1}(n,t,e):g(n,m,e)}function _(n,t,e,r){for(var i=e-1,o=n.length;++i<o;)if(r(n[i],t))return i;return-1}function m(n){return n!=n}function y(n,t){var e=null==n?0:n.length;return e?x(n,t)/e:H}function b(n){return function(t){return null==t?N:t[n]}}function w(n){return function(t){return null==n?N:n[t]}}function k(n,t,e,r,i){return i(n,(function(n,i,o){e=r?(r=!1,n):t(e,n,i,o)})),e}function x(n,t){for(var e,r=-1,i=n.length;++r<i;){var o=t(n[r]);o!==N&&(e=e===N?o:e+o)}return e}function C(n,t){for(var e=-1,r=Array(n);++e<n;)r[e]=t(e);return r}function I(n){return function(t){return n(t)}}function S(n,t){return c(t,(function(t){return n[t]}))}function A(n,t){return n.has(t)}function E(n,t){for(var e=-1,r=n.length;++e<r&&v(t,n[e],0)>-1;);return e}function j(n,t){for(var e=n.length;e--&&v(t,n[e],0)>-1;);return e}function L(n,t){for(var e=n.length,r=0;e--;)n[e]===t&&++r;return r}function D(n){return"\\"+Ut[n]}function O(n){return Mt.test(n)}function T(n){return Pt.test(n)}function R(n){var t=-1,e=Array(n.size);return n.forEach((function(n,r){e[++t]=[r,n]})),e}function F(n,t){return function(e){return n(t(e))}}function M(n,t){for(var e=-1,r=n.length,i=0,o=[];++e<r;){var u=n[e];u!==t&&u!==q||(n[e]=q,o[i++]=e)}return o}function P(n){var t=-1,e=Array(n.size);return n.forEach((function(n){e[++t]=n})),e}function z(n){return O(n)?function(n){for(var t=Rt.lastIndex=0;Rt.test(n);)++t;return t}(n):oe(n)}function W(n){return O(n)?function(n){return n.match(Rt)||[]}(n):function(n){return n.split("")}(n)}function K(n){return n.match(Ft)||[]}var N,U="Expected a function",B="__lodash_hash_undefined__",q="__lodash_placeholder__",$=128,V=9007199254740991,H=NaN,Z=4294967295,G=[["ary",$],["bind",1],["bindKey",2],["curry",8],["curryRight",16],["flip",512],["partial",32],["partialRight",64],["rearg",256]],Q="[object Arguments]",J="[object Array]",Y="[object Boolean]",X="[object Date]",nn="[object Error]",tn="[object Function]",en="[object GeneratorFunction]",rn="[object Map]",on="[object Number]",un="[object Object]",an="[object Promise]",cn="[object RegExp]",fn="[object Set]",sn="[object String]",ln="[object Symbol]",dn="[object WeakMap]",pn="[object ArrayBuffer]",hn="[object DataView]",gn="[object Float32Array]",vn="[object Float64Array]",_n="[object Int8Array]",mn="[object Int16Array]",yn="[object Int32Array]",bn="[object Uint8Array]",wn="[object Uint8ClampedArray]",kn="[object Uint16Array]",xn="[object Uint32Array]",Cn=/\b__p \+= '';/g,In=/\b(__p \+=) '' \+/g,Sn=/(__e\(.*?\)|\b__t\)) \+\n'';/g,An=/&(?:amp|lt|gt|quot|#39);/g,En=/[&<>"']/g,jn=RegExp(An.source),Ln=RegExp(En.source),Dn=/<%-([\s\S]+?)%>/g,On=/<%([\s\S]+?)%>/g,Tn=/<%=([\s\S]+?)%>/g,Rn=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,Fn=/^\w*$/,Mn=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,Pn=/[\\^$.*+?()[\]{}|]/g,zn=RegExp(Pn.source),Wn=/^\s+|\s+$/g,Kn=/^\s+/,Nn=/\s+$/,Un=/\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,Bn=/\{\n\/\* \[wrapped with (.+)\] \*/,qn=/,? & /,$n=/[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g,Vn=/\\(\\)?/g,Hn=/\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,Zn=/\w*$/,Gn=/^[-+]0x[0-9a-f]+$/i,Qn=/^0b[01]+$/i,Jn=/^\[object .+?Constructor\]$/,Yn=/^0o[0-7]+$/i,Xn=/^(?:0|[1-9]\d*)$/,nt=/[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g,tt=/($^)/,et=/['\n\r\u2028\u2029\\]/g,rt="\\ud800-\\udfff",it="\\u0300-\\u036f\\ufe20-\\ufe2f\\u20d0-\\u20ff",ot="\\u2700-\\u27bf",ut="a-z\\xdf-\\xf6\\xf8-\\xff",at="A-Z\\xc0-\\xd6\\xd8-\\xde",ct="\\ufe0e\\ufe0f",ft="\\xac\\xb1\\xd7\\xf7\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf\\u2000-\\u206f \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000",st="['’]",lt="["+rt+"]",dt="["+ft+"]",pt="["+it+"]",ht="\\d+",gt="["+ot+"]",vt="["+ut+"]",_t="[^"+rt+ft+ht+ot+ut+at+"]",mt="\\ud83c[\\udffb-\\udfff]",yt="[^"+rt+"]",bt="(?:\\ud83c[\\udde6-\\uddff]){2}",wt="[\\ud800-\\udbff][\\udc00-\\udfff]",kt="["+at+"]",xt="(?:"+vt+"|"+_t+")",Ct="(?:"+kt+"|"+_t+")",It="(?:['’](?:d|ll|m|re|s|t|ve))?",St="(?:['’](?:D|LL|M|RE|S|T|VE))?",At="(?:"+pt+"|"+mt+")"+"?",Et="["+ct+"]?",jt=Et+At+("(?:\\u200d(?:"+[yt,bt,wt].join("|")+")"+Et+At+")*"),Lt="(?:"+[gt,bt,wt].join("|")+")"+jt,Dt="(?:"+[yt+pt+"?",pt,bt,wt,lt].join("|")+")",Ot=RegExp(st,"g"),Tt=RegExp(pt,"g"),Rt=RegExp(mt+"(?="+mt+")|"+Dt+jt,"g"),Ft=RegExp([kt+"?"+vt+"+"+It+"(?="+[dt,kt,"$"].join("|")+")",Ct+"+"+St+"(?="+[dt,kt+xt,"$"].join("|")+")",kt+"?"+xt+"+"+It,kt+"+"+St,"\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])","\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])",ht,Lt].join("|"),"g"),Mt=RegExp("[\\u200d"+rt+it+ct+"]"),Pt=/[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/,zt=["Array","Buffer","DataView","Date","Error","Float32Array","Float64Array","Function","Int8Array","Int16Array","Int32Array","Map","Math","Object","Promise","RegExp","Set","String","Symbol","TypeError","Uint8Array","Uint8ClampedArray","Uint16Array","Uint32Array","WeakMap","_","clearTimeout","isFinite","parseInt","setTimeout"],Wt=-1,Kt={};Kt[gn]=Kt[vn]=Kt[_n]=Kt[mn]=Kt[yn]=Kt[bn]=Kt[wn]=Kt[kn]=Kt[xn]=!0,Kt[Q]=Kt[J]=Kt[pn]=Kt[Y]=Kt[hn]=Kt[X]=Kt[nn]=Kt[tn]=Kt[rn]=Kt[on]=Kt[un]=Kt[cn]=Kt[fn]=Kt[sn]=Kt[dn]=!1;var Nt={};Nt[Q]=Nt[J]=Nt[pn]=Nt[hn]=Nt[Y]=Nt[X]=Nt[gn]=Nt[vn]=Nt[_n]=Nt[mn]=Nt[yn]=Nt[rn]=Nt[on]=Nt[un]=Nt[cn]=Nt[fn]=Nt[sn]=Nt[ln]=Nt[bn]=Nt[wn]=Nt[kn]=Nt[xn]=!0,Nt[nn]=Nt[tn]=Nt[dn]=!1;var Ut={"\\":"\\","'":"'","\n":"n","\r":"r","\u2028":"u2028","\u2029":"u2029"},Bt=parseFloat,qt=parseInt,$t="object"==typeof global&&global&&global.Object===Object&&global,Vt="object"==typeof self&&self&&self.Object===Object&&self,Ht=$t||Vt||Function("return this")(),Zt="object"==typeof exports&&exports&&!exports.nodeType&&exports,Gt=Zt&&"object"==typeof module&&module&&!module.nodeType&&module,Qt=Gt&&Gt.exports===Zt,Jt=Qt&&$t.process,Yt=function(){try{var n=Gt&&Gt.require&&Gt.require("util").types;return n||Jt&&Jt.binding&&Jt.binding("util")}catch(n){}}(),Xt=Yt&&Yt.isArrayBuffer,ne=Yt&&Yt.isDate,te=Yt&&Yt.isMap,ee=Yt&&Yt.isRegExp,re=Yt&&Yt.isSet,ie=Yt&&Yt.isTypedArray,oe=b("length"),ue=w({"À":"A","Á":"A","Â":"A","Ã":"A","Ä":"A","Å":"A","à":"a","á":"a","â":"a","ã":"a","ä":"a","å":"a","Ç":"C","ç":"c","Ð":"D","ð":"d","È":"E","É":"E","Ê":"E","Ë":"E","è":"e","é":"e","ê":"e","ë":"e","Ì":"I","Í":"I","Î":"I","Ï":"I","ì":"i","í":"i","î":"i","ï":"i","Ñ":"N","ñ":"n","Ò":"O","Ó":"O","Ô":"O","Õ":"O","Ö":"O","Ø":"O","ò":"o","ó":"o","ô":"o","õ":"o","ö":"o","ø":"o","Ù":"U","Ú":"U","Û":"U","Ü":"U","ù":"u","ú":"u","û":"u","ü":"u","Ý":"Y","ý":"y","ÿ":"y","Æ":"Ae","æ":"ae","Þ":"Th","þ":"th","ß":"ss","Ā":"A","Ă":"A","Ą":"A","ā":"a","ă":"a","ą":"a","Ć":"C","Ĉ":"C","Ċ":"C","Č":"C","ć":"c","ĉ":"c","ċ":"c","č":"c","Ď":"D","Đ":"D","ď":"d","đ":"d","Ē":"E","Ĕ":"E","Ė":"E","Ę":"E","Ě":"E","ē":"e","ĕ":"e","ė":"e","ę":"e","ě":"e","Ĝ":"G","Ğ":"G","Ġ":"G","Ģ":"G","ĝ":"g","ğ":"g","ġ":"g","ģ":"g","Ĥ":"H","Ħ":"H","ĥ":"h","ħ":"h","Ĩ":"I","Ī":"I","Ĭ":"I","Į":"I","İ":"I","ĩ":"i","ī":"i","ĭ":"i","į":"i","ı":"i","Ĵ":"J","ĵ":"j","Ķ":"K","ķ":"k","ĸ":"k","Ĺ":"L","Ļ":"L","Ľ":"L","Ŀ":"L","Ł":"L","ĺ":"l","ļ":"l","ľ":"l","ŀ":"l","ł":"l","Ń":"N","Ņ":"N","Ň":"N","Ŋ":"N","ń":"n","ņ":"n","ň":"n","ŋ":"n","Ō":"O","Ŏ":"O","Ő":"O","ō":"o","ŏ":"o","ő":"o","Ŕ":"R","Ŗ":"R","Ř":"R","ŕ":"r","ŗ":"r","ř":"r","Ś":"S","Ŝ":"S","Ş":"S","Š":"S","ś":"s","ŝ":"s","ş":"s","š":"s","Ţ":"T","Ť":"T","Ŧ":"T","ţ":"t","ť":"t","ŧ":"t","Ũ":"U","Ū":"U","Ŭ":"U","Ů":"U","Ű":"U","Ų":"U","ũ":"u","ū":"u","ŭ":"u","ů":"u","ű":"u","ų":"u","Ŵ":"W","ŵ":"w","Ŷ":"Y","ŷ":"y","Ÿ":"Y","Ź":"Z","Ż":"Z","Ž":"Z","ź":"z","ż":"z","ž":"z","Ĳ":"IJ","ĳ":"ij","Œ":"Oe","œ":"oe","ŉ":"'n","ſ":"s"}),ae=w({"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"}),ce=w({"&amp;":"&","&lt;":"<","&gt;":">","&quot;":'"',"&#39;":"'"}),fe=function w($n){function rt(n){if(Ri(n)&&!Ca(n)&&!(n instanceof ut)){if(n instanceof ot)return n;if(Co.call(n,"__wrapped__"))return ui(n)}return new ot(n)}function it(){}function ot(n,t){this.__wrapped__=n,this.__actions__=[],this.__chain__=!!t,this.__index__=0,this.__values__=N}function ut(n){this.__wrapped__=n,this.__actions__=[],this.__dir__=1,this.__filtered__=!1,this.__iteratees__=[],this.__takeCount__=Z,this.__views__=[]}function at(n){var t=-1,e=null==n?0:n.length;for(this.clear();++t<e;){var r=n[t];this.set(r[0],r[1])}}function ct(n){var t=-1,e=null==n?0:n.length;for(this.clear();++t<e;){var r=n[t];this.set(r[0],r[1])}}function ft(n){var t=-1,e=null==n?0:n.length;for(this.clear();++t<e;){var r=n[t];this.set(r[0],r[1])}}function st(n){var t=-1,e=null==n?0:n.length;for(this.__data__=new ft;++t<e;)this.add(n[t])}function lt(n){this.size=(this.__data__=new ct(n)).size}function dt(n,t){var e=Ca(n),r=!e&&xa(n),i=!e&&!r&&Sa(n),o=!e&&!r&&!i&&Da(n),u=e||r||i||o,a=u?C(n.length,_o):[],c=a.length;for(var f in n)!t&&!Co.call(n,f)||u&&("length"==f||i&&("offset"==f||"parent"==f)||o&&("buffer"==f||"byteLength"==f||"byteOffset"==f)||Br(f,c))||a.push(f);return a}function pt(n){var t=n.length;return t?n[Se(0,t-1)]:N}function ht(n,t){return ei(rr(n),xt(t,0,n.length))}function gt(n){return ei(rr(n))}function vt(n,t,e){(e===N||Si(n[t],e))&&(e!==N||t in n)||wt(n,t,e)}function _t(n,t,e){var r=n[t];Co.call(n,t)&&Si(r,e)&&(e!==N||t in n)||wt(n,t,e)}function mt(n,t){for(var e=n.length;e--;)if(Si(n[e][0],t))return e;return-1}function yt(n,t,e,r){return ku(n,(function(n,i,o){t(r,n,e(n),o)})),r}function bt(n,t){return n&&ir(t,Zi(t),n)}function wt(n,t,e){"__proto__"==t&&Uo?Uo(n,t,{configurable:!0,enumerable:!0,value:e,writable:!0}):n[t]=e}function kt(n,t){for(var e=-1,r=t.length,i=fo(r),o=null==n;++e<r;)i[e]=o?N:Vi(n,t[e]);return i}function xt(n,t,e){return n==n&&(e!==N&&(n=n<=e?n:e),t!==N&&(n=n>=t?n:t)),n}function Ct(n,t,r,i,o,u){var a,c=1&t,f=2&t,s=4&t;if(r&&(a=o?r(n,i,o,u):r(n)),a!==N)return a;if(!Ti(n))return n;var l=Ca(n);if(l){if(a=function(n){var t=n.length,e=new n.constructor(t);return t&&"string"==typeof n[0]&&Co.call(n,"index")&&(e.index=n.index,e.input=n.input),e}(n),!c)return rr(n,a)}else{var d=Ru(n),p=d==tn||d==en;if(Sa(n))return Je(n,c);if(d==un||d==Q||p&&!o){if(a=f||p?{}:Nr(n),!c)return f?function(n,t){return ir(n,Tu(n),t)}(n,function(n,t){return n&&ir(t,Gi(t),n)}(a,n)):function(n,t){return ir(n,Ou(n),t)}(n,bt(a,n))}else{if(!Nt[d])return o?n:{};a=function(n,t,e){var r=n.constructor;switch(t){case pn:return Ye(n);case Y:case X:return new r(+n);case hn:return function(n,t){return new n.constructor(t?Ye(n.buffer):n.buffer,n.byteOffset,n.byteLength)}(n,e);case gn:case vn:case _n:case mn:case yn:case bn:case wn:case kn:case xn:return Xe(n,e);case rn:return new r;case on:case sn:return new r(n);case cn:return function(n){var t=new n.constructor(n.source,Zn.exec(n));return t.lastIndex=n.lastIndex,t}(n);case fn:return new r;case ln:return function(n){return yu?go(yu.call(n)):{}}(n)}}(n,d,c)}}u||(u=new lt);var h=u.get(n);if(h)return h;u.set(n,a),La(n)?n.forEach((function(e){a.add(Ct(e,t,r,e,n,u))})):Ea(n)&&n.forEach((function(e,i){a.set(i,Ct(e,t,r,i,n,u))}));var g=l?N:(s?f?Tr:Or:f?Gi:Zi)(n);return e(g||n,(function(e,i){g&&(e=n[i=e]),_t(a,i,Ct(e,t,r,i,n,u))})),a}function It(n,t,e){var r=e.length;if(null==n)return!r;for(n=go(n);r--;){var i=e[r],o=t[i],u=n[i];if(u===N&&!(i in n)||!o(u))return!1}return!0}function St(n,t,e){if("function"!=typeof n)throw new mo(U);return Pu((function(){n.apply(N,e)}),t)}function At(n,t,e,r){var i=-1,o=u,f=!0,s=n.length,l=[],d=t.length;if(!s)return l;e&&(t=c(t,I(e))),r?(o=a,f=!1):t.length>=200&&(o=A,f=!1,t=new st(t));n:for(;++i<s;){var p=n[i],h=null==e?p:e(p);if(p=r||0!==p?p:0,f&&h==h){for(var g=d;g--;)if(t[g]===h)continue n;l.push(p)}else o(t,h,r)||l.push(p)}return l}function Et(n,t){var e=!0;return ku(n,(function(n,r,i){return e=!!t(n,r,i)})),e}function jt(n,t,e){for(var r=-1,i=n.length;++r<i;){var o=n[r],u=t(o);if(null!=u&&(a===N?u==u&&!zi(u):e(u,a)))var a=u,c=o}return c}function Lt(n,t){var e=[];return ku(n,(function(n,r,i){t(n,r,i)&&e.push(n)})),e}function Dt(n,t,e,r,i){var o=-1,u=n.length;for(e||(e=Ur),i||(i=[]);++o<u;){var a=n[o];t>0&&e(a)?t>1?Dt(a,t-1,e,r,i):f(i,a):r||(i[i.length]=a)}return i}function Rt(n,t){return n&&Cu(n,t,Zi)}function Ft(n,t){return n&&Iu(n,t,Zi)}function Mt(n,t){return o(t,(function(t){return Li(n[t])}))}function Pt(n,t){for(var e=0,r=(t=Ge(t,n)).length;null!=n&&e<r;)n=n[ri(t[e++])];return e&&e==r?n:N}function Ut(n,t,e){var r=t(n);return Ca(n)?r:f(r,e(n))}function $t(n){return null==n?n===N?"[object Undefined]":"[object Null]":No&&No in go(n)?function(n){var t=Co.call(n,No),e=n[No];try{n[No]=N;var r=!0}catch(n){}var i=Ao.call(n);return r&&(t?n[No]=e:delete n[No]),i}(n):function(n){return Ao.call(n)}(n)}function Vt(n,t){return n>t}function Zt(n,t){return null!=n&&Co.call(n,t)}function Gt(n,t){return null!=n&&t in go(n)}function Jt(n,t,e){for(var r=e?a:u,i=n[0].length,o=n.length,f=o,s=fo(o),l=1/0,d=[];f--;){var p=n[f];f&&t&&(p=c(p,I(t))),l=nu(p.length,l),s[f]=!e&&(t||i>=120&&p.length>=120)?new st(f&&p):N}p=n[0];var h=-1,g=s[0];n:for(;++h<i&&d.length<l;){var v=p[h],_=t?t(v):v;if(v=e||0!==v?v:0,!(g?A(g,_):r(d,_,e))){for(f=o;--f;){var m=s[f];if(!(m?A(m,_):r(n[f],_,e)))continue n}g&&g.push(_),d.push(v)}}return d}function Yt(t,e,r){var i=null==(t=Jr(t,e=Ge(e,t)))?t:t[ri(li(e))];return null==i?N:n(i,t,r)}function oe(n){return Ri(n)&&$t(n)==Q}function se(n,t,e,r,i){return n===t||(null==n||null==t||!Ri(n)&&!Ri(t)?n!=n&&t!=t:function(n,t,e,r,i,o){var u=Ca(n),a=Ca(t),c=u?J:Ru(n),f=a?J:Ru(t),s=(c=c==Q?un:c)==un,l=(f=f==Q?un:f)==un,d=c==f;if(d&&Sa(n)){if(!Sa(t))return!1;u=!0,s=!1}if(d&&!s)return o||(o=new lt),u||Da(n)?Lr(n,t,e,r,i,o):function(n,t,e,r,i,o,u){switch(e){case hn:if(n.byteLength!=t.byteLength||n.byteOffset!=t.byteOffset)return!1;n=n.buffer,t=t.buffer;case pn:return!(n.byteLength!=t.byteLength||!o(new To(n),new To(t)));case Y:case X:case on:return Si(+n,+t);case nn:return n.name==t.name&&n.message==t.message;case cn:case sn:return n==t+"";case rn:var a=R;case fn:var c=1&r;if(a||(a=P),n.size!=t.size&&!c)return!1;var f=u.get(n);if(f)return f==t;r|=2,u.set(n,t);var s=Lr(a(n),a(t),r,i,o,u);return u.delete(n),s;case ln:if(yu)return yu.call(n)==yu.call(t)}return!1}(n,t,c,e,r,i,o);if(!(1&e)){var p=s&&Co.call(n,"__wrapped__"),h=l&&Co.call(t,"__wrapped__");if(p||h){var g=p?n.value():n,v=h?t.value():t;return o||(o=new lt),i(g,v,e,r,o)}}return!!d&&(o||(o=new lt),function(n,t,e,r,i,o){var u=1&e,a=Or(n),c=a.length;if(c!=Or(t).length&&!u)return!1;for(var f=c;f--;){var s=a[f];if(!(u?s in t:Co.call(t,s)))return!1}var l=o.get(n),d=o.get(t);if(l&&d)return l==t&&d==n;var p=!0;o.set(n,t),o.set(t,n);for(var h=u;++f<c;){s=a[f];var g=n[s],v=t[s];if(r)var _=u?r(v,g,s,t,n,o):r(g,v,s,n,t,o);if(!(_===N?g===v||i(g,v,e,r,o):_)){p=!1;break}h||(h="constructor"==s)}if(p&&!h){var m=n.constructor,y=t.constructor;m!=y&&"constructor"in n&&"constructor"in t&&!("function"==typeof m&&m instanceof m&&"function"==typeof y&&y instanceof y)&&(p=!1)}return o.delete(n),o.delete(t),p}(n,t,e,r,i,o))}(n,t,e,r,se,i))}function le(n,t,e,r){var i=e.length,o=i,u=!r;if(null==n)return!o;for(n=go(n);i--;){var a=e[i];if(u&&a[2]?a[1]!==n[a[0]]:!(a[0]in n))return!1}for(;++i<o;){var c=(a=e[i])[0],f=n[c],s=a[1];if(u&&a[2]){if(f===N&&!(c in n))return!1}else{var l=new lt;if(r)var d=r(f,s,c,n,t,l);if(!(d===N?se(s,f,3,r,l):d))return!1}}return!0}function de(n){return!(!Ti(n)||function(n){return!!So&&So in n}(n))&&(Li(n)?Lo:Jn).test(ii(n))}function pe(n){return"function"==typeof n?n:null==n?eo:"object"==typeof n?Ca(n)?ye(n[0],n[1]):me(n):uo(n)}function he(n){if(!Hr(n))return Yo(n);var t=[];for(var e in go(n))Co.call(n,e)&&"constructor"!=e&&t.push(e);return t}function ge(n){if(!Ti(n))return function(n){var t=[];if(null!=n)for(var e in go(n))t.push(e);return t}(n);var t=Hr(n),e=[];for(var r in n)("constructor"!=r||!t&&Co.call(n,r))&&e.push(r);return e}function ve(n,t){return n<t}function _e(n,t){var e=-1,r=Ai(n)?fo(n.length):[];return ku(n,(function(n,i,o){r[++e]=t(n,i,o)})),r}function me(n){var t=zr(n);return 1==t.length&&t[0][2]?Gr(t[0][0],t[0][1]):function(e){return e===n||le(e,n,t)}}function ye(n,t){return $r(n)&&Zr(t)?Gr(ri(n),t):function(e){var r=Vi(e,n);return r===N&&r===t?Hi(e,n):se(t,r,3)}}function be(n,t,e,r,i){n!==t&&Cu(t,(function(o,u){if(i||(i=new lt),Ti(o))!function(n,t,e,r,i,o,u){var a=Xr(n,e),c=Xr(t,e),f=u.get(c);if(f)return vt(n,e,f),N;var s=o?o(a,c,e+"",n,t,u):N,l=s===N;if(l){var d=Ca(c),p=!d&&Sa(c),h=!d&&!p&&Da(c);s=c,d||p||h?Ca(a)?s=a:Ei(a)?s=rr(a):p?(l=!1,s=Je(c,!0)):h?(l=!1,s=Xe(c,!0)):s=[]:Mi(c)||xa(c)?(s=a,xa(a)?s=qi(a):Ti(a)&&!Li(a)||(s=Nr(c))):l=!1}l&&(u.set(c,s),i(s,c,r,o,u),u.delete(c)),vt(n,e,s)}(n,t,u,e,be,r,i);else{var a=r?r(Xr(n,u),o,u+"",n,t,i):N;a===N&&(a=o),vt(n,u,a)}}),Gi)}function we(n,t){var e=n.length;if(e)return Br(t+=t<0?e:0,e)?n[t]:N}function ke(n,t,e){t=t.length?c(t,(function(n){return Ca(n)?function(t){return Pt(t,1===n.length?n[0]:n)}:n})):[eo];var r=-1;return t=c(t,I(Mr())),function(n,t){var e=n.length;for(n.sort(t);e--;)n[e]=n[e].value;return n}(_e(n,(function(n,e,i){return{criteria:c(t,(function(t){return t(n)})),index:++r,value:n}})),(function(n,t){return function(n,t,e){for(var r=-1,i=n.criteria,o=t.criteria,u=i.length,a=e.length;++r<u;){var c=nr(i[r],o[r]);if(c)return r>=a?c:c*("desc"==e[r]?-1:1)}return n.index-t.index}(n,t,e)}))}function xe(n,t,e){for(var r=-1,i=t.length,o={};++r<i;){var u=t[r],a=Pt(n,u);e(a,u)&&De(o,Ge(u,n),a)}return o}function Ce(n,t,e,r){var i=r?_:v,o=-1,u=t.length,a=n;for(n===t&&(t=rr(t)),e&&(a=c(n,I(e)));++o<u;)for(var f=0,s=t[o],l=e?e(s):s;(f=i(a,l,f,r))>-1;)a!==n&&zo.call(a,f,1),zo.call(n,f,1);return n}function Ie(n,t){for(var e=n?t.length:0,r=e-1;e--;){var i=t[e];if(e==r||i!==o){var o=i;Br(i)?zo.call(n,i,1):Ne(n,i)}}return n}function Se(n,t){return n+Ho(ru()*(t-n+1))}function Ae(n,t){var e="";if(!n||t<1||t>V)return e;do{t%2&&(e+=n),(t=Ho(t/2))&&(n+=n)}while(t);return e}function Ee(n,t){return zu(Qr(n,t,eo),n+"")}function je(n){return pt(Ji(n))}function Le(n,t){var e=Ji(n);return ei(e,xt(t,0,e.length))}function De(n,t,e,r){if(!Ti(n))return n;for(var i=-1,o=(t=Ge(t,n)).length,u=o-1,a=n;null!=a&&++i<o;){var c=ri(t[i]),f=e;if("__proto__"===c||"constructor"===c||"prototype"===c)return n;if(i!=u){var s=a[c];(f=r?r(s,c,a):N)===N&&(f=Ti(s)?s:Br(t[i+1])?[]:{})}_t(a,c,f),a=a[c]}return n}function Oe(n){return ei(Ji(n))}function Te(n,t,e){var r=-1,i=n.length;t<0&&(t=-t>i?0:i+t),(e=e>i?i:e)<0&&(e+=i),i=t>e?0:e-t>>>0,t>>>=0;for(var o=fo(i);++r<i;)o[r]=n[r+t];return o}function Re(n,t){var e;return ku(n,(function(n,r,i){return!(e=t(n,r,i))})),!!e}function Fe(n,t,e){var r=0,i=null==n?r:n.length;if("number"==typeof t&&t==t&&i<=2147483647){for(;r<i;){var o=r+i>>>1,u=n[o];null!==u&&!zi(u)&&(e?u<=t:u<t)?r=o+1:i=o}return i}return Me(n,t,eo,e)}function Me(n,t,e,r){var i=0,o=null==n?0:n.length;if(0===o)return 0;for(var u=(t=e(t))!=t,a=null===t,c=zi(t),f=t===N;i<o;){var s=Ho((i+o)/2),l=e(n[s]),d=l!==N,p=null===l,h=l==l,g=zi(l);if(u)var v=r||h;else v=f?h&&(r||d):a?h&&d&&(r||!p):c?h&&d&&!p&&(r||!g):!p&&!g&&(r?l<=t:l<t);v?i=s+1:o=s}return nu(o,4294967294)}function Pe(n,t){for(var e=-1,r=n.length,i=0,o=[];++e<r;){var u=n[e],a=t?t(u):u;if(!e||!Si(a,c)){var c=a;o[i++]=0===u?0:u}}return o}function ze(n){return"number"==typeof n?n:zi(n)?H:+n}function We(n){if("string"==typeof n)return n;if(Ca(n))return c(n,We)+"";if(zi(n))return bu?bu.call(n):"";var t=n+"";return"0"==t&&1/n==-1/0?"-0":t}function Ke(n,t,e){var r=-1,i=u,o=n.length,c=!0,f=[],s=f;if(e)c=!1,i=a;else if(o>=200){var l=t?null:Lu(n);if(l)return P(l);c=!1,i=A,s=new st}else s=t?[]:f;n:for(;++r<o;){var d=n[r],p=t?t(d):d;if(d=e||0!==d?d:0,c&&p==p){for(var h=s.length;h--;)if(s[h]===p)continue n;t&&s.push(p),f.push(d)}else i(s,p,e)||(s!==f&&s.push(p),f.push(d))}return f}function Ne(n,t){return null==(n=Jr(n,t=Ge(t,n)))||delete n[ri(li(t))]}function Ue(n,t,e,r){return De(n,t,e(Pt(n,t)),r)}function Be(n,t,e,r){for(var i=n.length,o=r?i:-1;(r?o--:++o<i)&&t(n[o],o,n););return e?Te(n,r?0:o,r?o+1:i):Te(n,r?o+1:0,r?i:o)}function qe(n,t){var e=n;return e instanceof ut&&(e=e.value()),s(t,(function(n,t){return t.func.apply(t.thisArg,f([n],t.args))}),e)}function $e(n,t,e){var r=n.length;if(r<2)return r?Ke(n[0]):[];for(var i=-1,o=fo(r);++i<r;)for(var u=n[i],a=-1;++a<r;)a!=i&&(o[i]=At(o[i]||u,n[a],t,e));return Ke(Dt(o,1),t,e)}function Ve(n,t,e){for(var r=-1,i=n.length,o=t.length,u={};++r<i;)e(u,n[r],r<o?t[r]:N);return u}function He(n){return Ei(n)?n:[]}function Ze(n){return"function"==typeof n?n:eo}function Ge(n,t){return Ca(n)?n:$r(n,t)?[n]:Wu($i(n))}function Qe(n,t,e){var r=n.length;return e=e===N?r:e,!t&&e>=r?n:Te(n,t,e)}function Je(n,t){if(t)return n.slice();var e=n.length,r=Ro?Ro(e):new n.constructor(e);return n.copy(r),r}function Ye(n){var t=new n.constructor(n.byteLength);return new To(t).set(new To(n)),t}function Xe(n,t){return new n.constructor(t?Ye(n.buffer):n.buffer,n.byteOffset,n.length)}function nr(n,t){if(n!==t){var e=n!==N,r=null===n,i=n==n,o=zi(n),u=t!==N,a=null===t,c=t==t,f=zi(t);if(!a&&!f&&!o&&n>t||o&&u&&c&&!a&&!f||r&&u&&c||!e&&c||!i)return 1;if(!r&&!o&&!f&&n<t||f&&e&&i&&!r&&!o||a&&e&&i||!u&&i||!c)return-1}return 0}function tr(n,t,e,r){for(var i=-1,o=n.length,u=e.length,a=-1,c=t.length,f=Xo(o-u,0),s=fo(c+f),l=!r;++a<c;)s[a]=t[a];for(;++i<u;)(l||i<o)&&(s[e[i]]=n[i]);for(;f--;)s[a++]=n[i++];return s}function er(n,t,e,r){for(var i=-1,o=n.length,u=-1,a=e.length,c=-1,f=t.length,s=Xo(o-a,0),l=fo(s+f),d=!r;++i<s;)l[i]=n[i];for(var p=i;++c<f;)l[p+c]=t[c];for(;++u<a;)(d||i<o)&&(l[p+e[u]]=n[i++]);return l}function rr(n,t){var e=-1,r=n.length;for(t||(t=fo(r));++e<r;)t[e]=n[e];return t}function ir(n,t,e,r){var i=!e;e||(e={});for(var o=-1,u=t.length;++o<u;){var a=t[o],c=r?r(e[a],n[a],a,e,n):N;c===N&&(c=n[a]),i?wt(e,a,c):_t(e,a,c)}return e}function or(n,e){return function(r,i){var o=Ca(r)?t:yt,u=e?e():{};return o(r,n,Mr(i,2),u)}}function ur(n){return Ee((function(t,e){var r=-1,i=e.length,o=i>1?e[i-1]:N,u=i>2?e[2]:N;for(o=n.length>3&&"function"==typeof o?(i--,o):N,u&&qr(e[0],e[1],u)&&(o=i<3?N:o,i=1),t=go(t);++r<i;){var a=e[r];a&&n(t,a,r,o)}return t}))}function ar(n,t){return function(e,r){if(null==e)return e;if(!Ai(e))return n(e,r);for(var i=e.length,o=t?i:-1,u=go(e);(t?o--:++o<i)&&!1!==r(u[o],o,u););return e}}function cr(n){return function(t,e,r){for(var i=-1,o=go(t),u=r(t),a=u.length;a--;){var c=u[n?a:++i];if(!1===e(o[c],c,o))break}return t}}function fr(n){return function(t){var e=O(t=$i(t))?W(t):N,r=e?e[0]:t.charAt(0),i=e?Qe(e,1).join(""):t.slice(1);return r[n]()+i}}function sr(n){return function(t){return s(no(Xi(t).replace(Ot,"")),n,"")}}function lr(n){return function(){var t=arguments;switch(t.length){case 0:return new n;case 1:return new n(t[0]);case 2:return new n(t[0],t[1]);case 3:return new n(t[0],t[1],t[2]);case 4:return new n(t[0],t[1],t[2],t[3]);case 5:return new n(t[0],t[1],t[2],t[3],t[4]);case 6:return new n(t[0],t[1],t[2],t[3],t[4],t[5]);case 7:return new n(t[0],t[1],t[2],t[3],t[4],t[5],t[6])}var e=wu(n.prototype),r=n.apply(e,t);return Ti(r)?r:e}}function dr(t,e,r){var i=lr(t);return function o(){for(var u=arguments.length,a=fo(u),c=u,f=Fr(o);c--;)a[c]=arguments[c];var s=u<3&&a[0]!==f&&a[u-1]!==f?[]:M(a,f);return(u-=s.length)<r?xr(t,e,gr,o.placeholder,N,a,s,N,N,r-u):n(this&&this!==Ht&&this instanceof o?i:t,this,a)}}function pr(n){return function(t,e,r){var i=go(t);if(!Ai(t)){var o=Mr(e,3);t=Zi(t),e=function(n){return o(i[n],n,i)}}var u=n(t,e,r);return u>-1?i[o?t[u]:u]:N}}function hr(n){return Dr((function(t){var e=t.length,r=e,i=ot.prototype.thru;for(n&&t.reverse();r--;){var o=t[r];if("function"!=typeof o)throw new mo(U);if(i&&!u&&"wrapper"==Rr(o))var u=new ot([],!0)}for(r=u?r:e;++r<e;){var a=Rr(o=t[r]),c="wrapper"==a?Du(o):N;u=c&&Vr(c[0])&&424==c[1]&&!c[4].length&&1==c[9]?u[Rr(c[0])].apply(u,c[3]):1==o.length&&Vr(o)?u[a]():u.thru(o)}return function(){var n=arguments,r=n[0];if(u&&1==n.length&&Ca(r))return u.plant(r).value();for(var i=0,o=e?t[i].apply(this,n):r;++i<e;)o=t[i].call(this,o);return o}}))}function gr(n,t,e,r,i,o,u,a,c,f){var s=t&$,l=1&t,d=2&t,p=24&t,h=512&t,g=d?N:lr(n);return function v(){for(var _=arguments.length,m=fo(_),y=_;y--;)m[y]=arguments[y];if(p)var b=Fr(v),w=L(m,b);if(r&&(m=tr(m,r,i,p)),o&&(m=er(m,o,u,p)),_-=w,p&&_<f)return xr(n,t,gr,v.placeholder,e,m,M(m,b),a,c,f-_);var k=l?e:this,x=d?k[n]:n;return _=m.length,a?m=Yr(m,a):h&&_>1&&m.reverse(),s&&c<_&&(m.length=c),this&&this!==Ht&&this instanceof v&&(x=g||lr(x)),x.apply(k,m)}}function vr(n,t){return function(e,r){return function(n,t,e,r){return Rt(n,(function(n,i,o){t(r,e(n),i,o)})),r}(e,n,t(r),{})}}function _r(n,t){return function(e,r){var i;if(e===N&&r===N)return t;if(e!==N&&(i=e),r!==N){if(i===N)return r;"string"==typeof e||"string"==typeof r?(e=We(e),r=We(r)):(e=ze(e),r=ze(r)),i=n(e,r)}return i}}function mr(t){return Dr((function(e){return e=c(e,I(Mr())),Ee((function(r){var i=this;return t(e,(function(t){return n(t,i,r)}))}))}))}function yr(n,t){var e=(t=t===N?" ":We(t)).length;if(e<2)return e?Ae(t,n):t;var r=Ae(t,Vo(n/z(t)));return O(t)?Qe(W(r),0,n).join(""):r.slice(0,n)}function br(t,e,r,i){var o=1&e,u=lr(t);return function e(){for(var a=-1,c=arguments.length,f=-1,s=i.length,l=fo(s+c),d=this&&this!==Ht&&this instanceof e?u:t;++f<s;)l[f]=i[f];for(;c--;)l[f++]=arguments[++a];return n(d,o?r:this,l)}}function wr(n){return function(t,e,r){return r&&"number"!=typeof r&&qr(t,e,r)&&(e=r=N),t=Ki(t),e===N?(e=t,t=0):e=Ki(e),function(n,t,e,r){for(var i=-1,o=Xo(Vo((t-n)/(e||1)),0),u=fo(o);o--;)u[r?o:++i]=n,n+=e;return u}(t,e,r=r===N?t<e?1:-1:Ki(r),n)}}function kr(n){return function(t,e){return"string"==typeof t&&"string"==typeof e||(t=Bi(t),e=Bi(e)),n(t,e)}}function xr(n,t,e,r,i,o,u,a,c,f){var s=8&t;t|=s?32:64,4&(t&=~(s?64:32))||(t&=-4);var l=[n,t,i,s?o:N,s?u:N,s?N:o,s?N:u,a,c,f],d=e.apply(N,l);return Vr(n)&&Mu(d,l),d.placeholder=r,ni(d,n,t)}function Cr(n){var t=ho[n];return function(n,e){if(n=Bi(n),(e=null==e?0:nu(Ni(e),292))&&Qo(n)){var r=($i(n)+"e").split("e");return+((r=($i(t(r[0]+"e"+(+r[1]+e)))+"e").split("e"))[0]+"e"+(+r[1]-e))}return t(n)}}function Ir(n){return function(t){var e=Ru(t);return e==rn?R(t):e==fn?function(n){var t=-1,e=Array(n.size);return n.forEach((function(n){e[++t]=[n,n]})),e}(t):function(n,t){return c(t,(function(t){return[t,n[t]]}))}(t,n(t))}}function Sr(n,t,e,r,i,o,u,a){var c=2&t;if(!c&&"function"!=typeof n)throw new mo(U);var f=r?r.length:0;if(f||(t&=-97,r=i=N),u=u===N?u:Xo(Ni(u),0),a=a===N?a:Ni(a),f-=i?i.length:0,64&t){var s=r,l=i;r=i=N}var d=c?N:Du(n),p=[n,t,e,r,i,s,l,o,u,a];if(d&&function(n,t){var e=n[1],r=t[1],i=e|r,o=i<131,u=r==$&&8==e||r==$&&256==e&&n[7].length<=t[8]||384==r&&t[7].length<=t[8]&&8==e;if(!o&&!u)return n;1&r&&(n[2]=t[2],i|=1&e?0:4);var a=t[3];if(a){var c=n[3];n[3]=c?tr(c,a,t[4]):a,n[4]=c?M(n[3],q):t[4]}(a=t[5])&&(c=n[5],n[5]=c?er(c,a,t[6]):a,n[6]=c?M(n[5],q):t[6]),(a=t[7])&&(n[7]=a),r&$&&(n[8]=null==n[8]?t[8]:nu(n[8],t[8])),null==n[9]&&(n[9]=t[9]),n[0]=t[0],n[1]=i}(p,d),n=p[0],t=p[1],e=p[2],r=p[3],i=p[4],!(a=p[9]=p[9]===N?c?0:n.length:Xo(p[9]-f,0))&&24&t&&(t&=-25),t&&1!=t)h=8==t||16==t?dr(n,t,a):32!=t&&33!=t||i.length?gr.apply(N,p):br(n,t,e,r);else var h=function(n,t,e){var r=1&t,i=lr(n);return function t(){return(this&&this!==Ht&&this instanceof t?i:n).apply(r?e:this,arguments)}}(n,t,e);return ni((d?Su:Mu)(h,p),n,t)}function Ar(n,t,e,r){return n===N||Si(n,wo[e])&&!Co.call(r,e)?t:n}function Er(n,t,e,r,i,o){return Ti(n)&&Ti(t)&&(o.set(t,n),be(n,t,N,Er,o),o.delete(t)),n}function jr(n){return Mi(n)?N:n}function Lr(n,t,e,r,i,o){var u=1&e,a=n.length,c=t.length;if(a!=c&&!(u&&c>a))return!1;var f=o.get(n),s=o.get(t);if(f&&s)return f==t&&s==n;var l=-1,p=!0,h=2&e?new st:N;for(o.set(n,t),o.set(t,n);++l<a;){var g=n[l],v=t[l];if(r)var _=u?r(v,g,l,t,n,o):r(g,v,l,n,t,o);if(_!==N){if(_)continue;p=!1;break}if(h){if(!d(t,(function(n,t){if(!A(h,t)&&(g===n||i(g,n,e,r,o)))return h.push(t)}))){p=!1;break}}else if(g!==v&&!i(g,v,e,r,o)){p=!1;break}}return o.delete(n),o.delete(t),p}function Dr(n){return zu(Qr(n,N,fi),n+"")}function Or(n){return Ut(n,Zi,Ou)}function Tr(n){return Ut(n,Gi,Tu)}function Rr(n){for(var t=n.name+"",e=du[t],r=Co.call(du,t)?e.length:0;r--;){var i=e[r],o=i.func;if(null==o||o==n)return i.name}return t}function Fr(n){return(Co.call(rt,"placeholder")?rt:n).placeholder}function Mr(){var n=rt.iteratee||ro;return n=n===ro?pe:n,arguments.length?n(arguments[0],arguments[1]):n}function Pr(n,t){var e=n.__data__;return function(n){var t=typeof n;return"string"==t||"number"==t||"symbol"==t||"boolean"==t?"__proto__"!==n:null===n}(t)?e["string"==typeof t?"string":"hash"]:e.map}function zr(n){for(var t=Zi(n),e=t.length;e--;){var r=t[e],i=n[r];t[e]=[r,i,Zr(i)]}return t}function Wr(n,t){var e=function(n,t){return null==n?N:n[t]}(n,t);return de(e)?e:N}function Kr(n,t,e){for(var r=-1,i=(t=Ge(t,n)).length,o=!1;++r<i;){var u=ri(t[r]);if(!(o=null!=n&&e(n,u)))break;n=n[u]}return o||++r!=i?o:!!(i=null==n?0:n.length)&&Oi(i)&&Br(u,i)&&(Ca(n)||xa(n))}function Nr(n){return"function"!=typeof n.constructor||Hr(n)?{}:wu(Fo(n))}function Ur(n){return Ca(n)||xa(n)||!!(Wo&&n&&n[Wo])}function Br(n,t){var e=typeof n;return!!(t=null==t?V:t)&&("number"==e||"symbol"!=e&&Xn.test(n))&&n>-1&&n%1==0&&n<t}function qr(n,t,e){if(!Ti(e))return!1;var r=typeof t;return!!("number"==r?Ai(e)&&Br(t,e.length):"string"==r&&t in e)&&Si(e[t],n)}function $r(n,t){if(Ca(n))return!1;var e=typeof n;return!("number"!=e&&"symbol"!=e&&"boolean"!=e&&null!=n&&!zi(n))||Fn.test(n)||!Rn.test(n)||null!=t&&n in go(t)}function Vr(n){var t=Rr(n),e=rt[t];if("function"!=typeof e||!(t in ut.prototype))return!1;if(n===e)return!0;var r=Du(e);return!!r&&n===r[0]}function Hr(n){var t=n&&n.constructor;return n===("function"==typeof t&&t.prototype||wo)}function Zr(n){return n==n&&!Ti(n)}function Gr(n,t){return function(e){return null!=e&&e[n]===t&&(t!==N||n in go(e))}}function Qr(t,e,r){return e=Xo(e===N?t.length-1:e,0),function(){for(var i=arguments,o=-1,u=Xo(i.length-e,0),a=fo(u);++o<u;)a[o]=i[e+o];o=-1;for(var c=fo(e+1);++o<e;)c[o]=i[o];return c[e]=r(a),n(t,this,c)}}function Jr(n,t){return t.length<2?n:Pt(n,Te(t,0,-1))}function Yr(n,t){for(var e=n.length,r=nu(t.length,e),i=rr(n);r--;){var o=t[r];n[r]=Br(o,e)?i[o]:N}return n}function Xr(n,t){if(("constructor"!==t||"function"!=typeof n[t])&&"__proto__"!=t)return n[t]}function ni(n,t,e){var r=t+"";return zu(n,function(n,t){var e=t.length;if(!e)return n;var r=e-1;return t[r]=(e>1?"& ":"")+t[r],t=t.join(e>2?", ":" "),n.replace(Un,"{\n/* [wrapped with "+t+"] */\n")}(r,oi(function(n){var t=n.match(Bn);return t?t[1].split(qn):[]}(r),e)))}function ti(n){var t=0,e=0;return function(){var r=tu(),i=16-(r-e);if(e=r,i>0){if(++t>=800)return arguments[0]}else t=0;return n.apply(N,arguments)}}function ei(n,t){var e=-1,r=n.length,i=r-1;for(t=t===N?r:t;++e<t;){var o=Se(e,i),u=n[o];n[o]=n[e],n[e]=u}return n.length=t,n}function ri(n){if("string"==typeof n||zi(n))return n;var t=n+"";return"0"==t&&1/n==-1/0?"-0":t}function ii(n){if(null!=n){try{return xo.call(n)}catch(n){}try{return n+""}catch(n){}}return""}function oi(n,t){return e(G,(function(e){var r="_."+e[0];t&e[1]&&!u(n,r)&&n.push(r)})),n.sort()}function ui(n){if(n instanceof ut)return n.clone();var t=new ot(n.__wrapped__,n.__chain__);return t.__actions__=rr(n.__actions__),t.__index__=n.__index__,t.__values__=n.__values__,t}function ai(n,t,e){var r=null==n?0:n.length;if(!r)return-1;var i=null==e?0:Ni(e);return i<0&&(i=Xo(r+i,0)),g(n,Mr(t,3),i)}function ci(n,t,e){var r=null==n?0:n.length;if(!r)return-1;var i=r-1;return e!==N&&(i=Ni(e),i=e<0?Xo(r+i,0):nu(i,r-1)),g(n,Mr(t,3),i,!0)}function fi(n){return null!=n&&n.length?Dt(n,1):[]}function si(n){return n&&n.length?n[0]:N}function li(n){var t=null==n?0:n.length;return t?n[t-1]:N}function di(n,t){return n&&n.length&&t&&t.length?Ce(n,t):n}function pi(n){return null==n?n:iu.call(n)}function hi(n){if(!n||!n.length)return[];var t=0;return n=o(n,(function(n){if(Ei(n))return t=Xo(n.length,t),!0})),C(t,(function(t){return c(n,b(t))}))}function gi(t,e){if(!t||!t.length)return[];var r=hi(t);return null==e?r:c(r,(function(t){return n(e,N,t)}))}function vi(n){var t=rt(n);return t.__chain__=!0,t}function _i(n,t){return t(n)}function mi(n,t){return(Ca(n)?e:ku)(n,Mr(t,3))}function yi(n,t){return(Ca(n)?r:xu)(n,Mr(t,3))}function bi(n,t){return(Ca(n)?c:_e)(n,Mr(t,3))}function wi(n,t,e){return t=e?N:t,t=n&&null==t?n.length:t,Sr(n,$,N,N,N,N,t)}function ki(n,t){var e;if("function"!=typeof t)throw new mo(U);return n=Ni(n),function(){return--n>0&&(e=t.apply(this,arguments)),n<=1&&(t=N),e}}function xi(n,t,e){function r(t){var e=f,r=s;return f=s=N,g=t,d=n.apply(r,e)}function i(n){return g=n,p=Pu(u,t),v?r(n):d}function o(n){var e=n-h;return h===N||e>=t||e<0||_&&n-g>=l}function u(){var n=da();return o(n)?a(n):(p=Pu(u,function(n){var e=t-(n-h);return _?nu(e,l-(n-g)):e}(n)),N)}function a(n){return p=N,m&&f?r(n):(f=s=N,d)}function c(){var n=da(),e=o(n);if(f=arguments,s=this,h=n,e){if(p===N)return i(h);if(_)return ju(p),p=Pu(u,t),r(h)}return p===N&&(p=Pu(u,t)),d}var f,s,l,d,p,h,g=0,v=!1,_=!1,m=!0;if("function"!=typeof n)throw new mo(U);return t=Bi(t)||0,Ti(e)&&(v=!!e.leading,l=(_="maxWait"in e)?Xo(Bi(e.maxWait)||0,t):l,m="trailing"in e?!!e.trailing:m),c.cancel=function(){p!==N&&ju(p),g=0,f=h=s=p=N},c.flush=function(){return p===N?d:a(da())},c}function Ci(n,t){if("function"!=typeof n||null!=t&&"function"!=typeof t)throw new mo(U);var e=function(){var r=arguments,i=t?t.apply(this,r):r[0],o=e.cache;if(o.has(i))return o.get(i);var u=n.apply(this,r);return e.cache=o.set(i,u)||o,u};return e.cache=new(Ci.Cache||ft),e}function Ii(n){if("function"!=typeof n)throw new mo(U);return function(){var t=arguments;switch(t.length){case 0:return!n.call(this);case 1:return!n.call(this,t[0]);case 2:return!n.call(this,t[0],t[1]);case 3:return!n.call(this,t[0],t[1],t[2])}return!n.apply(this,t)}}function Si(n,t){return n===t||n!=n&&t!=t}function Ai(n){return null!=n&&Oi(n.length)&&!Li(n)}function Ei(n){return Ri(n)&&Ai(n)}function ji(n){if(!Ri(n))return!1;var t=$t(n);return t==nn||"[object DOMException]"==t||"string"==typeof n.message&&"string"==typeof n.name&&!Mi(n)}function Li(n){if(!Ti(n))return!1;var t=$t(n);return t==tn||t==en||"[object AsyncFunction]"==t||"[object Proxy]"==t}function Di(n){return"number"==typeof n&&n==Ni(n)}function Oi(n){return"number"==typeof n&&n>-1&&n%1==0&&n<=V}function Ti(n){var t=typeof n;return null!=n&&("object"==t||"function"==t)}function Ri(n){return null!=n&&"object"==typeof n}function Fi(n){return"number"==typeof n||Ri(n)&&$t(n)==on}function Mi(n){if(!Ri(n)||$t(n)!=un)return!1;var t=Fo(n);if(null===t)return!0;var e=Co.call(t,"constructor")&&t.constructor;return"function"==typeof e&&e instanceof e&&xo.call(e)==Eo}function Pi(n){return"string"==typeof n||!Ca(n)&&Ri(n)&&$t(n)==sn}function zi(n){return"symbol"==typeof n||Ri(n)&&$t(n)==ln}function Wi(n){if(!n)return[];if(Ai(n))return Pi(n)?W(n):rr(n);if(Ko&&n[Ko])return function(n){for(var t,e=[];!(t=n.next()).done;)e.push(t.value);return e}(n[Ko]());var t=Ru(n);return(t==rn?R:t==fn?P:Ji)(n)}function Ki(n){return n?(n=Bi(n))===1/0||n===-1/0?17976931348623157e292*(n<0?-1:1):n==n?n:0:0===n?n:0}function Ni(n){var t=Ki(n),e=t%1;return t==t?e?t-e:t:0}function Ui(n){return n?xt(Ni(n),0,Z):0}function Bi(n){if("number"==typeof n)return n;if(zi(n))return H;if(Ti(n)){var t="function"==typeof n.valueOf?n.valueOf():n;n=Ti(t)?t+"":t}if("string"!=typeof n)return 0===n?n:+n;n=n.replace(Wn,"");var e=Qn.test(n);return e||Yn.test(n)?qt(n.slice(2),e?2:8):Gn.test(n)?H:+n}function qi(n){return ir(n,Gi(n))}function $i(n){return null==n?"":We(n)}function Vi(n,t,e){var r=null==n?N:Pt(n,t);return r===N?e:r}function Hi(n,t){return null!=n&&Kr(n,t,Gt)}function Zi(n){return Ai(n)?dt(n):he(n)}function Gi(n){return Ai(n)?dt(n,!0):ge(n)}function Qi(n,t){if(null==n)return{};var e=c(Tr(n),(function(n){return[n]}));return t=Mr(t),xe(n,e,(function(n,e){return t(n,e[0])}))}function Ji(n){return null==n?[]:S(n,Zi(n))}function Yi(n){return rc($i(n).toLowerCase())}function Xi(n){return(n=$i(n))&&n.replace(nt,ue).replace(Tt,"")}function no(n,t,e){return n=$i(n),(t=e?N:t)===N?T(n)?K(n):p(n):n.match(t)||[]}function to(n){return function(){return n}}function eo(n){return n}function ro(n){return pe("function"==typeof n?n:Ct(n,1))}function io(n,t,r){var i=Zi(t),o=Mt(t,i);null!=r||Ti(t)&&(o.length||!i.length)||(r=t,t=n,n=this,o=Mt(t,Zi(t)));var u=!(Ti(r)&&"chain"in r&&!r.chain),a=Li(n);return e(o,(function(e){var r=t[e];n[e]=r,a&&(n.prototype[e]=function(){var t=this.__chain__;if(u||t){var e=n(this.__wrapped__);return(e.__actions__=rr(this.__actions__)).push({func:r,args:arguments,thisArg:n}),e.__chain__=t,e}return r.apply(n,f([this.value()],arguments))})})),n}function oo(){}function uo(n){return $r(n)?b(ri(n)):function(n){return function(t){return Pt(t,n)}}(n)}function ao(){return[]}function co(){return!1}var fo=($n=null==$n?Ht:fe.defaults(Ht.Object(),$n,fe.pick(Ht,zt))).Array,so=$n.Date,lo=$n.Error,po=$n.Function,ho=$n.Math,go=$n.Object,vo=$n.RegExp,_o=$n.String,mo=$n.TypeError,yo=fo.prototype,bo=po.prototype,wo=go.prototype,ko=$n["__core-js_shared__"],xo=bo.toString,Co=wo.hasOwnProperty,Io=0,So=function(){var n=/[^.]+$/.exec(ko&&ko.keys&&ko.keys.IE_PROTO||"");return n?"Symbol(src)_1."+n:""}(),Ao=wo.toString,Eo=xo.call(go),jo=Ht._,Lo=vo("^"+xo.call(Co).replace(Pn,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),Do=Qt?$n.Buffer:N,Oo=$n.Symbol,To=$n.Uint8Array,Ro=Do?Do.allocUnsafe:N,Fo=F(go.getPrototypeOf,go),Mo=go.create,Po=wo.propertyIsEnumerable,zo=yo.splice,Wo=Oo?Oo.isConcatSpreadable:N,Ko=Oo?Oo.iterator:N,No=Oo?Oo.toStringTag:N,Uo=function(){try{var n=Wr(go,"defineProperty");return n({},"",{}),n}catch(n){}}(),Bo=$n.clearTimeout!==Ht.clearTimeout&&$n.clearTimeout,qo=so&&so.now!==Ht.Date.now&&so.now,$o=$n.setTimeout!==Ht.setTimeout&&$n.setTimeout,Vo=ho.ceil,Ho=ho.floor,Zo=go.getOwnPropertySymbols,Go=Do?Do.isBuffer:N,Qo=$n.isFinite,Jo=yo.join,Yo=F(go.keys,go),Xo=ho.max,nu=ho.min,tu=so.now,eu=$n.parseInt,ru=ho.random,iu=yo.reverse,ou=Wr($n,"DataView"),uu=Wr($n,"Map"),au=Wr($n,"Promise"),cu=Wr($n,"Set"),fu=Wr($n,"WeakMap"),su=Wr(go,"create"),lu=fu&&new fu,du={},pu=ii(ou),hu=ii(uu),gu=ii(au),vu=ii(cu),_u=ii(fu),mu=Oo?Oo.prototype:N,yu=mu?mu.valueOf:N,bu=mu?mu.toString:N,wu=function(){function n(){}return function(t){if(!Ti(t))return{};if(Mo)return Mo(t);n.prototype=t;var e=new n;return n.prototype=N,e}}();rt.templateSettings={escape:Dn,evaluate:On,interpolate:Tn,variable:"",imports:{_:rt}},rt.prototype=it.prototype,rt.prototype.constructor=rt,ot.prototype=wu(it.prototype),ot.prototype.constructor=ot,ut.prototype=wu(it.prototype),ut.prototype.constructor=ut,at.prototype.clear=function(){this.__data__=su?su(null):{},this.size=0},at.prototype.delete=function(n){var t=this.has(n)&&delete this.__data__[n];return this.size-=t?1:0,t},at.prototype.get=function(n){var t=this.__data__;if(su){var e=t[n];return e===B?N:e}return Co.call(t,n)?t[n]:N},at.prototype.has=function(n){var t=this.__data__;return su?t[n]!==N:Co.call(t,n)},at.prototype.set=function(n,t){var e=this.__data__;return this.size+=this.has(n)?0:1,e[n]=su&&t===N?B:t,this},ct.prototype.clear=function(){this.__data__=[],this.size=0},ct.prototype.delete=function(n){var t=this.__data__,e=mt(t,n);return!(e<0||(e==t.length-1?t.pop():zo.call(t,e,1),--this.size,0))},ct.prototype.get=function(n){var t=this.__data__,e=mt(t,n);return e<0?N:t[e][1]},ct.prototype.has=function(n){return mt(this.__data__,n)>-1},ct.prototype.set=function(n,t){var e=this.__data__,r=mt(e,n);return r<0?(++this.size,e.push([n,t])):e[r][1]=t,this},ft.prototype.clear=function(){this.size=0,this.__data__={hash:new at,map:new(uu||ct),string:new at}},ft.prototype.delete=function(n){var t=Pr(this,n).delete(n);return this.size-=t?1:0,t},ft.prototype.get=function(n){return Pr(this,n).get(n)},ft.prototype.has=function(n){return Pr(this,n).has(n)},ft.prototype.set=function(n,t){var e=Pr(this,n),r=e.size;return e.set(n,t),this.size+=e.size==r?0:1,this},st.prototype.add=st.prototype.push=function(n){return this.__data__.set(n,B),this},st.prototype.has=function(n){return this.__data__.has(n)},lt.prototype.clear=function(){this.__data__=new ct,this.size=0},lt.prototype.delete=function(n){var t=this.__data__,e=t.delete(n);return this.size=t.size,e},lt.prototype.get=function(n){return this.__data__.get(n)},lt.prototype.has=function(n){return this.__data__.has(n)},lt.prototype.set=function(n,t){var e=this.__data__;if(e instanceof ct){var r=e.__data__;if(!uu||r.length<199)return r.push([n,t]),this.size=++e.size,this;e=this.__data__=new ft(r)}return e.set(n,t),this.size=e.size,this};var ku=ar(Rt),xu=ar(Ft,!0),Cu=cr(),Iu=cr(!0),Su=lu?function(n,t){return lu.set(n,t),n}:eo,Au=Uo?function(n,t){return Uo(n,"toString",{configurable:!0,enumerable:!1,value:to(t),writable:!0})}:eo,Eu=Ee,ju=Bo||function(n){return Ht.clearTimeout(n)},Lu=cu&&1/P(new cu([,-0]))[1]==1/0?function(n){return new cu(n)}:oo,Du=lu?function(n){return lu.get(n)}:oo,Ou=Zo?function(n){return null==n?[]:(n=go(n),o(Zo(n),(function(t){return Po.call(n,t)})))}:ao,Tu=Zo?function(n){for(var t=[];n;)f(t,Ou(n)),n=Fo(n);return t}:ao,Ru=$t;(ou&&Ru(new ou(new ArrayBuffer(1)))!=hn||uu&&Ru(new uu)!=rn||au&&Ru(au.resolve())!=an||cu&&Ru(new cu)!=fn||fu&&Ru(new fu)!=dn)&&(Ru=function(n){var t=$t(n),e=t==un?n.constructor:N,r=e?ii(e):"";if(r)switch(r){case pu:return hn;case hu:return rn;case gu:return an;case vu:return fn;case _u:return dn}return t});var Fu=ko?Li:co,Mu=ti(Su),Pu=$o||function(n,t){return Ht.setTimeout(n,t)},zu=ti(Au),Wu=function(n){var t=Ci(n,(function(n){return 500===e.size&&e.clear(),n})),e=t.cache;return t}((function(n){var t=[];return 46===n.charCodeAt(0)&&t.push(""),n.replace(Mn,(function(n,e,r,i){t.push(r?i.replace(Vn,"$1"):e||n)})),t})),Ku=Ee((function(n,t){return Ei(n)?At(n,Dt(t,1,Ei,!0)):[]})),Nu=Ee((function(n,t){var e=li(t);return Ei(e)&&(e=N),Ei(n)?At(n,Dt(t,1,Ei,!0),Mr(e,2)):[]})),Uu=Ee((function(n,t){var e=li(t);return Ei(e)&&(e=N),Ei(n)?At(n,Dt(t,1,Ei,!0),N,e):[]})),Bu=Ee((function(n){var t=c(n,He);return t.length&&t[0]===n[0]?Jt(t):[]})),qu=Ee((function(n){var t=li(n),e=c(n,He);return t===li(e)?t=N:e.pop(),e.length&&e[0]===n[0]?Jt(e,Mr(t,2)):[]})),$u=Ee((function(n){var t=li(n),e=c(n,He);return(t="function"==typeof t?t:N)&&e.pop(),e.length&&e[0]===n[0]?Jt(e,N,t):[]})),Vu=Ee(di),Hu=Dr((function(n,t){var e=null==n?0:n.length,r=kt(n,t);return Ie(n,c(t,(function(n){return Br(n,e)?+n:n})).sort(nr)),r})),Zu=Ee((function(n){return Ke(Dt(n,1,Ei,!0))})),Gu=Ee((function(n){var t=li(n);return Ei(t)&&(t=N),Ke(Dt(n,1,Ei,!0),Mr(t,2))})),Qu=Ee((function(n){var t=li(n);return t="function"==typeof t?t:N,Ke(Dt(n,1,Ei,!0),N,t)})),Ju=Ee((function(n,t){return Ei(n)?At(n,t):[]})),Yu=Ee((function(n){return $e(o(n,Ei))})),Xu=Ee((function(n){var t=li(n);return Ei(t)&&(t=N),$e(o(n,Ei),Mr(t,2))})),na=Ee((function(n){var t=li(n);return t="function"==typeof t?t:N,$e(o(n,Ei),N,t)})),ta=Ee(hi),ea=Ee((function(n){var t=n.length,e=t>1?n[t-1]:N;return e="function"==typeof e?(n.pop(),e):N,gi(n,e)})),ra=Dr((function(n){var t=n.length,e=t?n[0]:0,r=this.__wrapped__,i=function(t){return kt(t,n)};return!(t>1||this.__actions__.length)&&r instanceof ut&&Br(e)?((r=r.slice(e,+e+(t?1:0))).__actions__.push({func:_i,args:[i],thisArg:N}),new ot(r,this.__chain__).thru((function(n){return t&&!n.length&&n.push(N),n}))):this.thru(i)})),ia=or((function(n,t,e){Co.call(n,e)?++n[e]:wt(n,e,1)})),oa=pr(ai),ua=pr(ci),aa=or((function(n,t,e){Co.call(n,e)?n[e].push(t):wt(n,e,[t])})),ca=Ee((function(t,e,r){var i=-1,o="function"==typeof e,u=Ai(t)?fo(t.length):[];return ku(t,(function(t){u[++i]=o?n(e,t,r):Yt(t,e,r)})),u})),fa=or((function(n,t,e){wt(n,e,t)})),sa=or((function(n,t,e){n[e?0:1].push(t)}),(function(){return[[],[]]})),la=Ee((function(n,t){if(null==n)return[];var e=t.length;return e>1&&qr(n,t[0],t[1])?t=[]:e>2&&qr(t[0],t[1],t[2])&&(t=[t[0]]),ke(n,Dt(t,1),[])})),da=qo||function(){return Ht.Date.now()},pa=Ee((function(n,t,e){var r=1;if(e.length){var i=M(e,Fr(pa));r|=32}return Sr(n,r,t,e,i)})),ha=Ee((function(n,t,e){var r=3;if(e.length){var i=M(e,Fr(ha));r|=32}return Sr(t,r,n,e,i)})),ga=Ee((function(n,t){return St(n,1,t)})),va=Ee((function(n,t,e){return St(n,Bi(t)||0,e)}));Ci.Cache=ft;var _a=Eu((function(t,e){var r=(e=1==e.length&&Ca(e[0])?c(e[0],I(Mr())):c(Dt(e,1),I(Mr()))).length;return Ee((function(i){for(var o=-1,u=nu(i.length,r);++o<u;)i[o]=e[o].call(this,i[o]);return n(t,this,i)}))})),ma=Ee((function(n,t){return Sr(n,32,N,t,M(t,Fr(ma)))})),ya=Ee((function(n,t){return Sr(n,64,N,t,M(t,Fr(ya)))})),ba=Dr((function(n,t){return Sr(n,256,N,N,N,t)})),wa=kr(Vt),ka=kr((function(n,t){return n>=t})),xa=oe(function(){return arguments}())?oe:function(n){return Ri(n)&&Co.call(n,"callee")&&!Po.call(n,"callee")},Ca=fo.isArray,Ia=Xt?I(Xt):function(n){return Ri(n)&&$t(n)==pn},Sa=Go||co,Aa=ne?I(ne):function(n){return Ri(n)&&$t(n)==X},Ea=te?I(te):function(n){return Ri(n)&&Ru(n)==rn},ja=ee?I(ee):function(n){return Ri(n)&&$t(n)==cn},La=re?I(re):function(n){return Ri(n)&&Ru(n)==fn},Da=ie?I(ie):function(n){return Ri(n)&&Oi(n.length)&&!!Kt[$t(n)]},Oa=kr(ve),Ta=kr((function(n,t){return n<=t})),Ra=ur((function(n,t){if(Hr(t)||Ai(t))return ir(t,Zi(t),n),N;for(var e in t)Co.call(t,e)&&_t(n,e,t[e])})),Fa=ur((function(n,t){ir(t,Gi(t),n)})),Ma=ur((function(n,t,e,r){ir(t,Gi(t),n,r)})),Pa=ur((function(n,t,e,r){ir(t,Zi(t),n,r)})),za=Dr(kt),Wa=Ee((function(n,t){n=go(n);var e=-1,r=t.length,i=r>2?t[2]:N;for(i&&qr(t[0],t[1],i)&&(r=1);++e<r;)for(var o=t[e],u=Gi(o),a=-1,c=u.length;++a<c;){var f=u[a],s=n[f];(s===N||Si(s,wo[f])&&!Co.call(n,f))&&(n[f]=o[f])}return n})),Ka=Ee((function(t){return t.push(N,Er),n($a,N,t)})),Na=vr((function(n,t,e){null!=t&&"function"!=typeof t.toString&&(t=Ao.call(t)),n[t]=e}),to(eo)),Ua=vr((function(n,t,e){null!=t&&"function"!=typeof t.toString&&(t=Ao.call(t)),Co.call(n,t)?n[t].push(e):n[t]=[e]}),Mr),Ba=Ee(Yt),qa=ur((function(n,t,e){be(n,t,e)})),$a=ur((function(n,t,e,r){be(n,t,e,r)})),Va=Dr((function(n,t){var e={};if(null==n)return e;var r=!1;t=c(t,(function(t){return t=Ge(t,n),r||(r=t.length>1),t})),ir(n,Tr(n),e),r&&(e=Ct(e,7,jr));for(var i=t.length;i--;)Ne(e,t[i]);return e})),Ha=Dr((function(n,t){return null==n?{}:function(n,t){return xe(n,t,(function(t,e){return Hi(n,e)}))}(n,t)})),Za=Ir(Zi),Ga=Ir(Gi),Qa=sr((function(n,t,e){return t=t.toLowerCase(),n+(e?Yi(t):t)})),Ja=sr((function(n,t,e){return n+(e?"-":"")+t.toLowerCase()})),Ya=sr((function(n,t,e){return n+(e?" ":"")+t.toLowerCase()})),Xa=fr("toLowerCase"),nc=sr((function(n,t,e){return n+(e?"_":"")+t.toLowerCase()})),tc=sr((function(n,t,e){return n+(e?" ":"")+rc(t)})),ec=sr((function(n,t,e){return n+(e?" ":"")+t.toUpperCase()})),rc=fr("toUpperCase"),ic=Ee((function(t,e){try{return n(t,N,e)}catch(n){return ji(n)?n:new lo(n)}})),oc=Dr((function(n,t){return e(t,(function(t){t=ri(t),wt(n,t,pa(n[t],n))})),n})),uc=hr(),ac=hr(!0),cc=Ee((function(n,t){return function(e){return Yt(e,n,t)}})),fc=Ee((function(n,t){return function(e){return Yt(n,e,t)}})),sc=mr(c),lc=mr(i),dc=mr(d),pc=wr(),hc=wr(!0),gc=_r((function(n,t){return n+t}),0),vc=Cr("ceil"),_c=_r((function(n,t){return n/t}),1),mc=Cr("floor"),yc=_r((function(n,t){return n*t}),1),bc=Cr("round"),wc=_r((function(n,t){return n-t}),0);return rt.after=function(n,t){if("function"!=typeof t)throw new mo(U);return n=Ni(n),function(){if(--n<1)return t.apply(this,arguments)}},rt.ary=wi,rt.assign=Ra,rt.assignIn=Fa,rt.assignInWith=Ma,rt.assignWith=Pa,rt.at=za,rt.before=ki,rt.bind=pa,rt.bindAll=oc,rt.bindKey=ha,rt.castArray=function(){if(!arguments.length)return[];var n=arguments[0];return Ca(n)?n:[n]},rt.chain=vi,rt.chunk=function(n,t,e){t=(e?qr(n,t,e):t===N)?1:Xo(Ni(t),0);var r=null==n?0:n.length;if(!r||t<1)return[];for(var i=0,o=0,u=fo(Vo(r/t));i<r;)u[o++]=Te(n,i,i+=t);return u},rt.compact=function(n){for(var t=-1,e=null==n?0:n.length,r=0,i=[];++t<e;){var o=n[t];o&&(i[r++]=o)}return i},rt.concat=function(){var n=arguments.length;if(!n)return[];for(var t=fo(n-1),e=arguments[0],r=n;r--;)t[r-1]=arguments[r];return f(Ca(e)?rr(e):[e],Dt(t,1))},rt.cond=function(t){var e=null==t?0:t.length,r=Mr();return t=e?c(t,(function(n){if("function"!=typeof n[1])throw new mo(U);return[r(n[0]),n[1]]})):[],Ee((function(r){for(var i=-1;++i<e;){var o=t[i];if(n(o[0],this,r))return n(o[1],this,r)}}))},rt.conforms=function(n){return function(n){var t=Zi(n);return function(e){return It(e,n,t)}}(Ct(n,1))},rt.constant=to,rt.countBy=ia,rt.create=function(n,t){var e=wu(n);return null==t?e:bt(e,t)},rt.curry=function n(t,e,r){var i=Sr(t,8,N,N,N,N,N,e=r?N:e);return i.placeholder=n.placeholder,i},rt.curryRight=function n(t,e,r){var i=Sr(t,16,N,N,N,N,N,e=r?N:e);return i.placeholder=n.placeholder,i},rt.debounce=xi,rt.defaults=Wa,rt.defaultsDeep=Ka,rt.defer=ga,rt.delay=va,rt.difference=Ku,rt.differenceBy=Nu,rt.differenceWith=Uu,rt.drop=function(n,t,e){var r=null==n?0:n.length;return r?Te(n,(t=e||t===N?1:Ni(t))<0?0:t,r):[]},rt.dropRight=function(n,t,e){var r=null==n?0:n.length;return r?Te(n,0,(t=r-(t=e||t===N?1:Ni(t)))<0?0:t):[]},rt.dropRightWhile=function(n,t){return n&&n.length?Be(n,Mr(t,3),!0,!0):[]},rt.dropWhile=function(n,t){return n&&n.length?Be(n,Mr(t,3),!0):[]},rt.fill=function(n,t,e,r){var i=null==n?0:n.length;return i?(e&&"number"!=typeof e&&qr(n,t,e)&&(e=0,r=i),function(n,t,e,r){var i=n.length;for((e=Ni(e))<0&&(e=-e>i?0:i+e),(r=r===N||r>i?i:Ni(r))<0&&(r+=i),r=e>r?0:Ui(r);e<r;)n[e++]=t;return n}(n,t,e,r)):[]},rt.filter=function(n,t){return(Ca(n)?o:Lt)(n,Mr(t,3))},rt.flatMap=function(n,t){return Dt(bi(n,t),1)},rt.flatMapDeep=function(n,t){return Dt(bi(n,t),1/0)},rt.flatMapDepth=function(n,t,e){return e=e===N?1:Ni(e),Dt(bi(n,t),e)},rt.flatten=fi,rt.flattenDeep=function(n){return null!=n&&n.length?Dt(n,1/0):[]},rt.flattenDepth=function(n,t){return null!=n&&n.length?Dt(n,t=t===N?1:Ni(t)):[]},rt.flip=function(n){return Sr(n,512)},rt.flow=uc,rt.flowRight=ac,rt.fromPairs=function(n){for(var t=-1,e=null==n?0:n.length,r={};++t<e;){var i=n[t];r[i[0]]=i[1]}return r},rt.functions=function(n){return null==n?[]:Mt(n,Zi(n))},rt.functionsIn=function(n){return null==n?[]:Mt(n,Gi(n))},rt.groupBy=aa,rt.initial=function(n){return null!=n&&n.length?Te(n,0,-1):[]},rt.intersection=Bu,rt.intersectionBy=qu,rt.intersectionWith=$u,rt.invert=Na,rt.invertBy=Ua,rt.invokeMap=ca,rt.iteratee=ro,rt.keyBy=fa,rt.keys=Zi,rt.keysIn=Gi,rt.map=bi,rt.mapKeys=function(n,t){var e={};return t=Mr(t,3),Rt(n,(function(n,r,i){wt(e,t(n,r,i),n)})),e},rt.mapValues=function(n,t){var e={};return t=Mr(t,3),Rt(n,(function(n,r,i){wt(e,r,t(n,r,i))})),e},rt.matches=function(n){return me(Ct(n,1))},rt.matchesProperty=function(n,t){return ye(n,Ct(t,1))},rt.memoize=Ci,rt.merge=qa,rt.mergeWith=$a,rt.method=cc,rt.methodOf=fc,rt.mixin=io,rt.negate=Ii,rt.nthArg=function(n){return n=Ni(n),Ee((function(t){return we(t,n)}))},rt.omit=Va,rt.omitBy=function(n,t){return Qi(n,Ii(Mr(t)))},rt.once=function(n){return ki(2,n)},rt.orderBy=function(n,t,e,r){return null==n?[]:(Ca(t)||(t=null==t?[]:[t]),Ca(e=r?N:e)||(e=null==e?[]:[e]),ke(n,t,e))},rt.over=sc,rt.overArgs=_a,rt.overEvery=lc,rt.overSome=dc,rt.partial=ma,rt.partialRight=ya,rt.partition=sa,rt.pick=Ha,rt.pickBy=Qi,rt.property=uo,rt.propertyOf=function(n){return function(t){return null==n?N:Pt(n,t)}},rt.pull=Vu,rt.pullAll=di,rt.pullAllBy=function(n,t,e){return n&&n.length&&t&&t.length?Ce(n,t,Mr(e,2)):n},rt.pullAllWith=function(n,t,e){return n&&n.length&&t&&t.length?Ce(n,t,N,e):n},rt.pullAt=Hu,rt.range=pc,rt.rangeRight=hc,rt.rearg=ba,rt.reject=function(n,t){return(Ca(n)?o:Lt)(n,Ii(Mr(t,3)))},rt.remove=function(n,t){var e=[];if(!n||!n.length)return e;var r=-1,i=[],o=n.length;for(t=Mr(t,3);++r<o;){var u=n[r];t(u,r,n)&&(e.push(u),i.push(r))}return Ie(n,i),e},rt.rest=function(n,t){if("function"!=typeof n)throw new mo(U);return Ee(n,t=t===N?t:Ni(t))},rt.reverse=pi,rt.sampleSize=function(n,t,e){return t=(e?qr(n,t,e):t===N)?1:Ni(t),(Ca(n)?ht:Le)(n,t)},rt.set=function(n,t,e){return null==n?n:De(n,t,e)},rt.setWith=function(n,t,e,r){return r="function"==typeof r?r:N,null==n?n:De(n,t,e,r)},rt.shuffle=function(n){return(Ca(n)?gt:Oe)(n)},rt.slice=function(n,t,e){var r=null==n?0:n.length;return r?(e&&"number"!=typeof e&&qr(n,t,e)?(t=0,e=r):(t=null==t?0:Ni(t),e=e===N?r:Ni(e)),Te(n,t,e)):[]},rt.sortBy=la,rt.sortedUniq=function(n){return n&&n.length?Pe(n):[]},rt.sortedUniqBy=function(n,t){return n&&n.length?Pe(n,Mr(t,2)):[]},rt.split=function(n,t,e){return e&&"number"!=typeof e&&qr(n,t,e)&&(t=e=N),(e=e===N?Z:e>>>0)?(n=$i(n))&&("string"==typeof t||null!=t&&!ja(t))&&(!(t=We(t))&&O(n))?Qe(W(n),0,e):n.split(t,e):[]},rt.spread=function(t,e){if("function"!=typeof t)throw new mo(U);return e=null==e?0:Xo(Ni(e),0),Ee((function(r){var i=r[e],o=Qe(r,0,e);return i&&f(o,i),n(t,this,o)}))},rt.tail=function(n){var t=null==n?0:n.length;return t?Te(n,1,t):[]},rt.take=function(n,t,e){return n&&n.length?Te(n,0,(t=e||t===N?1:Ni(t))<0?0:t):[]},rt.takeRight=function(n,t,e){var r=null==n?0:n.length;return r?Te(n,(t=r-(t=e||t===N?1:Ni(t)))<0?0:t,r):[]},rt.takeRightWhile=function(n,t){return n&&n.length?Be(n,Mr(t,3),!1,!0):[]},rt.takeWhile=function(n,t){return n&&n.length?Be(n,Mr(t,3)):[]},rt.tap=function(n,t){return t(n),n},rt.throttle=function(n,t,e){var r=!0,i=!0;if("function"!=typeof n)throw new mo(U);return Ti(e)&&(r="leading"in e?!!e.leading:r,i="trailing"in e?!!e.trailing:i),xi(n,t,{leading:r,maxWait:t,trailing:i})},rt.thru=_i,rt.toArray=Wi,rt.toPairs=Za,rt.toPairsIn=Ga,rt.toPath=function(n){return Ca(n)?c(n,ri):zi(n)?[n]:rr(Wu($i(n)))},rt.toPlainObject=qi,rt.transform=function(n,t,r){var i=Ca(n),o=i||Sa(n)||Da(n);if(t=Mr(t,4),null==r){var u=n&&n.constructor;r=o?i?new u:[]:Ti(n)&&Li(u)?wu(Fo(n)):{}}return(o?e:Rt)(n,(function(n,e,i){return t(r,n,e,i)})),r},rt.unary=function(n){return wi(n,1)},rt.union=Zu,rt.unionBy=Gu,rt.unionWith=Qu,rt.uniq=function(n){return n&&n.length?Ke(n):[]},rt.uniqBy=function(n,t){return n&&n.length?Ke(n,Mr(t,2)):[]},rt.uniqWith=function(n,t){return t="function"==typeof t?t:N,n&&n.length?Ke(n,N,t):[]},rt.unset=function(n,t){return null==n||Ne(n,t)},rt.unzip=hi,rt.unzipWith=gi,rt.update=function(n,t,e){return null==n?n:Ue(n,t,Ze(e))},rt.updateWith=function(n,t,e,r){return r="function"==typeof r?r:N,null==n?n:Ue(n,t,Ze(e),r)},rt.values=Ji,rt.valuesIn=function(n){return null==n?[]:S(n,Gi(n))},rt.without=Ju,rt.words=no,rt.wrap=function(n,t){return ma(Ze(t),n)},rt.xor=Yu,rt.xorBy=Xu,rt.xorWith=na,rt.zip=ta,rt.zipObject=function(n,t){return Ve(n||[],t||[],_t)},rt.zipObjectDeep=function(n,t){return Ve(n||[],t||[],De)},rt.zipWith=ea,rt.entries=Za,rt.entriesIn=Ga,rt.extend=Fa,rt.extendWith=Ma,io(rt,rt),rt.add=gc,rt.attempt=ic,rt.camelCase=Qa,rt.capitalize=Yi,rt.ceil=vc,rt.clamp=function(n,t,e){return e===N&&(e=t,t=N),e!==N&&(e=(e=Bi(e))==e?e:0),t!==N&&(t=(t=Bi(t))==t?t:0),xt(Bi(n),t,e)},rt.clone=function(n){return Ct(n,4)},rt.cloneDeep=function(n){return Ct(n,5)},rt.cloneDeepWith=function(n,t){return Ct(n,5,t="function"==typeof t?t:N)},rt.cloneWith=function(n,t){return Ct(n,4,t="function"==typeof t?t:N)},rt.conformsTo=function(n,t){return null==t||It(n,t,Zi(t))},rt.deburr=Xi,rt.defaultTo=function(n,t){return null==n||n!=n?t:n},rt.divide=_c,rt.endsWith=function(n,t,e){n=$i(n),t=We(t);var r=n.length,i=e=e===N?r:xt(Ni(e),0,r);return(e-=t.length)>=0&&n.slice(e,i)==t},rt.eq=Si,rt.escape=function(n){return(n=$i(n))&&Ln.test(n)?n.replace(En,ae):n},rt.escapeRegExp=function(n){return(n=$i(n))&&zn.test(n)?n.replace(Pn,"\\$&"):n},rt.every=function(n,t,e){var r=Ca(n)?i:Et;return e&&qr(n,t,e)&&(t=N),r(n,Mr(t,3))},rt.find=oa,rt.findIndex=ai,rt.findKey=function(n,t){return h(n,Mr(t,3),Rt)},rt.findLast=ua,rt.findLastIndex=ci,rt.findLastKey=function(n,t){return h(n,Mr(t,3),Ft)},rt.floor=mc,rt.forEach=mi,rt.forEachRight=yi,rt.forIn=function(n,t){return null==n?n:Cu(n,Mr(t,3),Gi)},rt.forInRight=function(n,t){return null==n?n:Iu(n,Mr(t,3),Gi)},rt.forOwn=function(n,t){return n&&Rt(n,Mr(t,3))},rt.forOwnRight=function(n,t){return n&&Ft(n,Mr(t,3))},rt.get=Vi,rt.gt=wa,rt.gte=ka,rt.has=function(n,t){return null!=n&&Kr(n,t,Zt)},rt.hasIn=Hi,rt.head=si,rt.identity=eo,rt.includes=function(n,t,e,r){n=Ai(n)?n:Ji(n),e=e&&!r?Ni(e):0;var i=n.length;return e<0&&(e=Xo(i+e,0)),Pi(n)?e<=i&&n.indexOf(t,e)>-1:!!i&&v(n,t,e)>-1},rt.indexOf=function(n,t,e){var r=null==n?0:n.length;if(!r)return-1;var i=null==e?0:Ni(e);return i<0&&(i=Xo(r+i,0)),v(n,t,i)},rt.inRange=function(n,t,e){return t=Ki(t),e===N?(e=t,t=0):e=Ki(e),function(n,t,e){return n>=nu(t,e)&&n<Xo(t,e)}(n=Bi(n),t,e)},rt.invoke=Ba,rt.isArguments=xa,rt.isArray=Ca,rt.isArrayBuffer=Ia,rt.isArrayLike=Ai,rt.isArrayLikeObject=Ei,rt.isBoolean=function(n){return!0===n||!1===n||Ri(n)&&$t(n)==Y},rt.isBuffer=Sa,rt.isDate=Aa,rt.isElement=function(n){return Ri(n)&&1===n.nodeType&&!Mi(n)},rt.isEmpty=function(n){if(null==n)return!0;if(Ai(n)&&(Ca(n)||"string"==typeof n||"function"==typeof n.splice||Sa(n)||Da(n)||xa(n)))return!n.length;var t=Ru(n);if(t==rn||t==fn)return!n.size;if(Hr(n))return!he(n).length;for(var e in n)if(Co.call(n,e))return!1;return!0},rt.isEqual=function(n,t){return se(n,t)},rt.isEqualWith=function(n,t,e){var r=(e="function"==typeof e?e:N)?e(n,t):N;return r===N?se(n,t,N,e):!!r},rt.isError=ji,rt.isFinite=function(n){return"number"==typeof n&&Qo(n)},rt.isFunction=Li,rt.isInteger=Di,rt.isLength=Oi,rt.isMap=Ea,rt.isMatch=function(n,t){return n===t||le(n,t,zr(t))},rt.isMatchWith=function(n,t,e){return e="function"==typeof e?e:N,le(n,t,zr(t),e)},rt.isNaN=function(n){return Fi(n)&&n!=+n},rt.isNative=function(n){if(Fu(n))throw new lo("Unsupported core-js use. Try https://npms.io/search?q=ponyfill.");return de(n)},rt.isNil=function(n){return null==n},rt.isNull=function(n){return null===n},rt.isNumber=Fi,rt.isObject=Ti,rt.isObjectLike=Ri,rt.isPlainObject=Mi,rt.isRegExp=ja,rt.isSafeInteger=function(n){return Di(n)&&n>=-V&&n<=V},rt.isSet=La,rt.isString=Pi,rt.isSymbol=zi,rt.isTypedArray=Da,rt.isUndefined=function(n){return n===N},rt.isWeakMap=function(n){return Ri(n)&&Ru(n)==dn},rt.isWeakSet=function(n){return Ri(n)&&"[object WeakSet]"==$t(n)},rt.join=function(n,t){return null==n?"":Jo.call(n,t)},rt.kebabCase=Ja,rt.last=li,rt.lastIndexOf=function(n,t,e){var r=null==n?0:n.length;if(!r)return-1;var i=r;return e!==N&&(i=(i=Ni(e))<0?Xo(r+i,0):nu(i,r-1)),t==t?function(n,t,e){for(var r=e+1;r--;)if(n[r]===t)return r;return r}(n,t,i):g(n,m,i,!0)},rt.lowerCase=Ya,rt.lowerFirst=Xa,rt.lt=Oa,rt.lte=Ta,rt.max=function(n){return n&&n.length?jt(n,eo,Vt):N},rt.maxBy=function(n,t){return n&&n.length?jt(n,Mr(t,2),Vt):N},rt.mean=function(n){return y(n,eo)},rt.meanBy=function(n,t){return y(n,Mr(t,2))},rt.min=function(n){return n&&n.length?jt(n,eo,ve):N},rt.minBy=function(n,t){return n&&n.length?jt(n,Mr(t,2),ve):N},rt.stubArray=ao,rt.stubFalse=co,rt.stubObject=function(){return{}},rt.stubString=function(){return""},rt.stubTrue=function(){return!0},rt.multiply=yc,rt.nth=function(n,t){return n&&n.length?we(n,Ni(t)):N},rt.noConflict=function(){return Ht._===this&&(Ht._=jo),this},rt.noop=oo,rt.now=da,rt.pad=function(n,t,e){n=$i(n);var r=(t=Ni(t))?z(n):0;if(!t||r>=t)return n;var i=(t-r)/2;return yr(Ho(i),e)+n+yr(Vo(i),e)},rt.padEnd=function(n,t,e){n=$i(n);var r=(t=Ni(t))?z(n):0;return t&&r<t?n+yr(t-r,e):n},rt.padStart=function(n,t,e){n=$i(n);var r=(t=Ni(t))?z(n):0;return t&&r<t?yr(t-r,e)+n:n},rt.parseInt=function(n,t,e){return e||null==t?t=0:t&&(t=+t),eu($i(n).replace(Kn,""),t||0)},rt.random=function(n,t,e){if(e&&"boolean"!=typeof e&&qr(n,t,e)&&(t=e=N),e===N&&("boolean"==typeof t?(e=t,t=N):"boolean"==typeof n&&(e=n,n=N)),n===N&&t===N?(n=0,t=1):(n=Ki(n),t===N?(t=n,n=0):t=Ki(t)),n>t){var r=n;n=t,t=r}if(e||n%1||t%1){var i=ru();return nu(n+i*(t-n+Bt("1e-"+((i+"").length-1))),t)}return Se(n,t)},rt.reduce=function(n,t,e){var r=Ca(n)?s:k,i=arguments.length<3;return r(n,Mr(t,4),e,i,ku)},rt.reduceRight=function(n,t,e){var r=Ca(n)?l:k,i=arguments.length<3;return r(n,Mr(t,4),e,i,xu)},rt.repeat=function(n,t,e){return t=(e?qr(n,t,e):t===N)?1:Ni(t),Ae($i(n),t)},rt.replace=function(){var n=arguments,t=$i(n[0]);return n.length<3?t:t.replace(n[1],n[2])},rt.result=function(n,t,e){var r=-1,i=(t=Ge(t,n)).length;for(i||(i=1,n=N);++r<i;){var o=null==n?N:n[ri(t[r])];o===N&&(r=i,o=e),n=Li(o)?o.call(n):o}return n},rt.round=bc,rt.runInContext=w,rt.sample=function(n){return(Ca(n)?pt:je)(n)},rt.size=function(n){if(null==n)return 0;if(Ai(n))return Pi(n)?z(n):n.length;var t=Ru(n);return t==rn||t==fn?n.size:he(n).length},rt.snakeCase=nc,rt.some=function(n,t,e){var r=Ca(n)?d:Re;return e&&qr(n,t,e)&&(t=N),r(n,Mr(t,3))},rt.sortedIndex=function(n,t){return Fe(n,t)},rt.sortedIndexBy=function(n,t,e){return Me(n,t,Mr(e,2))},rt.sortedIndexOf=function(n,t){var e=null==n?0:n.length;if(e){var r=Fe(n,t);if(r<e&&Si(n[r],t))return r}return-1},rt.sortedLastIndex=function(n,t){return Fe(n,t,!0)},rt.sortedLastIndexBy=function(n,t,e){return Me(n,t,Mr(e,2),!0)},rt.sortedLastIndexOf=function(n,t){if(null!=n&&n.length){var e=Fe(n,t,!0)-1;if(Si(n[e],t))return e}return-1},rt.startCase=tc,rt.startsWith=function(n,t,e){return n=$i(n),e=null==e?0:xt(Ni(e),0,n.length),t=We(t),n.slice(e,e+t.length)==t},rt.subtract=wc,rt.sum=function(n){return n&&n.length?x(n,eo):0},rt.sumBy=function(n,t){return n&&n.length?x(n,Mr(t,2)):0},rt.template=function(n,t,e){var r=rt.templateSettings;e&&qr(n,t,e)&&(t=N),n=$i(n),t=Ma({},t,r,Ar);var i,o,u=Ma({},t.imports,r.imports,Ar),a=Zi(u),c=S(u,a),f=0,s=t.interpolate||tt,l="__p += '",d=vo((t.escape||tt).source+"|"+s.source+"|"+(s===Tn?Hn:tt).source+"|"+(t.evaluate||tt).source+"|$","g"),p="//# sourceURL="+(Co.call(t,"sourceURL")?(t.sourceURL+"").replace(/\s/g," "):"lodash.templateSources["+ ++Wt+"]")+"\n";n.replace(d,(function(t,e,r,u,a,c){return r||(r=u),l+=n.slice(f,c).replace(et,D),e&&(i=!0,l+="' +\n__e("+e+") +\n'"),a&&(o=!0,l+="';\n"+a+";\n__p += '"),r&&(l+="' +\n((__t = ("+r+")) == null ? '' : __t) +\n'"),f=c+t.length,t})),l+="';\n";var h=Co.call(t,"variable")&&t.variable;h||(l="with (obj) {\n"+l+"\n}\n"),l=(o?l.replace(Cn,""):l).replace(In,"$1").replace(Sn,"$1;"),l="function("+(h||"obj")+") {\n"+(h?"":"obj || (obj = {});\n")+"var __t, __p = ''"+(i?", __e = _.escape":"")+(o?", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n":";\n")+l+"return __p\n}";var g=ic((function(){return po(a,p+"return "+l).apply(N,c)}));if(g.source=l,ji(g))throw g;return g},rt.times=function(n,t){if((n=Ni(n))<1||n>V)return[];var e=Z,r=nu(n,Z);t=Mr(t),n-=Z;for(var i=C(r,t);++e<n;)t(e);return i},rt.toFinite=Ki,rt.toInteger=Ni,rt.toLength=Ui,rt.toLower=function(n){return $i(n).toLowerCase()},rt.toNumber=Bi,rt.toSafeInteger=function(n){return n?xt(Ni(n),-V,V):0===n?n:0},rt.toString=$i,rt.toUpper=function(n){return $i(n).toUpperCase()},rt.trim=function(n,t,e){if((n=$i(n))&&(e||t===N))return n.replace(Wn,"");if(!n||!(t=We(t)))return n;var r=W(n),i=W(t);return Qe(r,E(r,i),j(r,i)+1).join("")},rt.trimEnd=function(n,t,e){if((n=$i(n))&&(e||t===N))return n.replace(Nn,"");if(!n||!(t=We(t)))return n;var r=W(n);return Qe(r,0,j(r,W(t))+1).join("")},rt.trimStart=function(n,t,e){if((n=$i(n))&&(e||t===N))return n.replace(Kn,"");if(!n||!(t=We(t)))return n;var r=W(n);return Qe(r,E(r,W(t))).join("")},rt.truncate=function(n,t){var e=30,r="...";if(Ti(t)){var i="separator"in t?t.separator:i;e="length"in t?Ni(t.length):e,r="omission"in t?We(t.omission):r}var o=(n=$i(n)).length;if(O(n)){var u=W(n);o=u.length}if(e>=o)return n;var a=e-z(r);if(a<1)return r;var c=u?Qe(u,0,a).join(""):n.slice(0,a);if(i===N)return c+r;if(u&&(a+=c.length-a),ja(i)){if(n.slice(a).search(i)){var f,s=c;for(i.global||(i=vo(i.source,$i(Zn.exec(i))+"g")),i.lastIndex=0;f=i.exec(s);)var l=f.index;c=c.slice(0,l===N?a:l)}}else if(n.indexOf(We(i),a)!=a){var d=c.lastIndexOf(i);d>-1&&(c=c.slice(0,d))}return c+r},rt.unescape=function(n){return(n=$i(n))&&jn.test(n)?n.replace(An,ce):n},rt.uniqueId=function(n){var t=++Io;return $i(n)+t},rt.upperCase=ec,rt.upperFirst=rc,rt.each=mi,rt.eachRight=yi,rt.first=si,io(rt,function(){var n={};return Rt(rt,(function(t,e){Co.call(rt.prototype,e)||(n[e]=t)})),n}(),{chain:!1}),rt.VERSION="4.17.19",e(["bind","bindKey","curry","curryRight","partial","partialRight"],(function(n){rt[n].placeholder=rt})),e(["drop","take"],(function(n,t){ut.prototype[n]=function(e){e=e===N?1:Xo(Ni(e),0);var r=this.__filtered__&&!t?new ut(this):this.clone();return r.__filtered__?r.__takeCount__=nu(e,r.__takeCount__):r.__views__.push({size:nu(e,Z),type:n+(r.__dir__<0?"Right":"")}),r},ut.prototype[n+"Right"]=function(t){return this.reverse()[n](t).reverse()}})),e(["filter","map","takeWhile"],(function(n,t){var e=t+1,r=1==e||3==e;ut.prototype[n]=function(n){var t=this.clone();return t.__iteratees__.push({iteratee:Mr(n,3),type:e}),t.__filtered__=t.__filtered__||r,t}})),e(["head","last"],(function(n,t){var e="take"+(t?"Right":"");ut.prototype[n]=function(){return this[e](1).value()[0]}})),e(["initial","tail"],(function(n,t){var e="drop"+(t?"":"Right");ut.prototype[n]=function(){return this.__filtered__?new ut(this):this[e](1)}})),ut.prototype.compact=function(){return this.filter(eo)},ut.prototype.find=function(n){return this.filter(n).head()},ut.prototype.findLast=function(n){return this.reverse().find(n)},ut.prototype.invokeMap=Ee((function(n,t){return"function"==typeof n?new ut(this):this.map((function(e){return Yt(e,n,t)}))})),ut.prototype.reject=function(n){return this.filter(Ii(Mr(n)))},ut.prototype.slice=function(n,t){n=Ni(n);var e=this;return e.__filtered__&&(n>0||t<0)?new ut(e):(n<0?e=e.takeRight(-n):n&&(e=e.drop(n)),t!==N&&(e=(t=Ni(t))<0?e.dropRight(-t):e.take(t-n)),e)},ut.prototype.takeRightWhile=function(n){return this.reverse().takeWhile(n).reverse()},ut.prototype.toArray=function(){return this.take(Z)},Rt(ut.prototype,(function(n,t){var e=/^(?:filter|find|map|reject)|While$/.test(t),r=/^(?:head|last)$/.test(t),i=rt[r?"take"+("last"==t?"Right":""):t],o=r||/^find/.test(t);i&&(rt.prototype[t]=function(){var t=this.__wrapped__,u=r?[1]:arguments,a=t instanceof ut,c=u[0],s=a||Ca(t),l=function(n){var t=i.apply(rt,f([n],u));return r&&d?t[0]:t};s&&e&&"function"==typeof c&&1!=c.length&&(a=s=!1);var d=this.__chain__,p=!!this.__actions__.length,h=o&&!d,g=a&&!p;if(!o&&s){t=g?t:new ut(this);var v=n.apply(t,u);return v.__actions__.push({func:_i,args:[l],thisArg:N}),new ot(v,d)}return h&&g?n.apply(this,u):(v=this.thru(l),h?r?v.value()[0]:v.value():v)})})),e(["pop","push","shift","sort","splice","unshift"],(function(n){var t=yo[n],e=/^(?:push|sort|unshift)$/.test(n)?"tap":"thru",r=/^(?:pop|shift)$/.test(n);rt.prototype[n]=function(){var n=arguments;if(r&&!this.__chain__){var i=this.value();return t.apply(Ca(i)?i:[],n)}return this[e]((function(e){return t.apply(Ca(e)?e:[],n)}))}})),Rt(ut.prototype,(function(n,t){var e=rt[t];if(e){var r=e.name+"";Co.call(du,r)||(du[r]=[]),du[r].push({name:t,func:e})}})),du[gr(N,2).name]=[{name:"wrapper",func:N}],ut.prototype.clone=function(){var n=new ut(this.__wrapped__);return n.__actions__=rr(this.__actions__),n.__dir__=this.__dir__,n.__filtered__=this.__filtered__,n.__iteratees__=rr(this.__iteratees__),n.__takeCount__=this.__takeCount__,n.__views__=rr(this.__views__),n},ut.prototype.reverse=function(){if(this.__filtered__){var n=new ut(this);n.__dir__=-1,n.__filtered__=!0}else(n=this.clone()).__dir__*=-1;return n},ut.prototype.value=function(){var n=this.__wrapped__.value(),t=this.__dir__,e=Ca(n),r=t<0,i=e?n.length:0,o=function(n,t,e){for(var r=-1,i=e.length;++r<i;){var o=e[r],u=o.size;switch(o.type){case"drop":n+=u;break;case"dropRight":t-=u;break;case"take":t=nu(t,n+u);break;case"takeRight":n=Xo(n,t-u)}}return{start:n,end:t}}(0,i,this.__views__),u=o.start,a=o.end,c=a-u,f=r?a:u-1,s=this.__iteratees__,l=s.length,d=0,p=nu(c,this.__takeCount__);if(!e||!r&&i==c&&p==c)return qe(n,this.__actions__);var h=[];n:for(;c--&&d<p;){for(var g=-1,v=n[f+=t];++g<l;){var _=s[g],m=_.iteratee,y=_.type,b=m(v);if(2==y)v=b;else if(!b){if(1==y)continue n;break n}}h[d++]=v}return h},rt.prototype.at=ra,rt.prototype.chain=function(){return vi(this)},rt.prototype.commit=function(){return new ot(this.value(),this.__chain__)},rt.prototype.next=function(){this.__values__===N&&(this.__values__=Wi(this.value()));var n=this.__index__>=this.__values__.length;return{done:n,value:n?N:this.__values__[this.__index__++]}},rt.prototype.plant=function(n){for(var t,e=this;e instanceof it;){var r=ui(e);r.__index__=0,r.__values__=N,t?i.__wrapped__=r:t=r;var i=r;e=e.__wrapped__}return i.__wrapped__=n,t},rt.prototype.reverse=function(){var n=this.__wrapped__;if(n instanceof ut){var t=n;return this.__actions__.length&&(t=new ut(this)),(t=t.reverse()).__actions__.push({func:_i,args:[pi],thisArg:N}),new ot(t,this.__chain__)}return this.thru(pi)},rt.prototype.toJSON=rt.prototype.valueOf=rt.prototype.value=function(){return qe(this.__wrapped__,this.__actions__)},rt.prototype.first=rt.prototype.head,Ko&&(rt.prototype[Ko]=function(){return this}),rt}();"function"==typeof define&&"object"==typeof define.amd&&define.amd?(Ht._=fe,define("lodash/lodash.min",[],(function(){return fe}))):Gt?((Gt.exports=fe)._=fe,Zt._=fe):Ht._=fe}.call(this),define("lodash",["lodash/lodash.min"],(function(n){return n})),define("vs/language/kusto/languageFeatures",["require","exports","vscode-languageserver-types","lodash"],(function(n,t,e,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HoverAdapter=t.FoldingAdapter=t.FormatAdapter=t.DocumentFormatAdapter=t.RenameAdapter=t.ReferenceAdapter=t.DefinitionAdapter=t.CompletionAdapter=t.ColorizationAdapter=t.DiagnosticsAdapter=void 0;var i=monaco.Uri,o=monaco.Range,u=Kusto.Language.Editor.ClassificationKind,a=function(){function n(n,t,e,i){var o=this;this._languageId=n,this._worker=t,this._disposables=[],this._contentListener=Object.create(null),this._configurationListener=Object.create(null),this._schemaListener=Object.create(null);var u=function(n){var t=n.getModeId();if(t===o._languageId){var u=r.debounce((function(e){return o._doValidate(n,t,e)}),500);o._contentListener[n.uri.toString()]=n.onDidChangeContent((function(n){var t=c(n);u(t)})),o._configurationListener[n.uri.toString()]=e.onDidChange((function(){self.setTimeout((function(){return o._doValidate(n,t,[])}),0)})),o._schemaListener[n.uri.toString()]=i((function(){self.setTimeout((function(){return o._doValidate(n,t,[])}),0)}))}},a=function(n){monaco.editor.setModelMarkers(n,o._languageId,[]);var t=n.uri.toString(),e=o._contentListener[t];e&&(e.dispose(),delete o._contentListener[t]);var r=o._configurationListener[t];r&&(r.dispose(),delete o._configurationListener[t]);var i=o._schemaListener[t];i&&(i.dispose(),delete o._schemaListener[t])};this._disposables.push(monaco.editor.onDidCreateModel(u)),this._disposables.push(monaco.editor.onWillDisposeModel(a)),this._disposables.push(monaco.editor.onDidChangeModelLanguage((function(n){a(n.model),u(n.model)}))),this._disposables.push({dispose:function(){for(var n in o._contentListener)o._contentListener[n].dispose()}}),monaco.editor.getModels().forEach(u)}return n.prototype.dispose=function(){this._disposables.forEach((function(n){return n&&n.dispose()})),this._disposables=[]},n.prototype._doValidate=function(n,t,e){if(!n.isDisposed()){var r=n.uri,i=n.getVersionId();this._worker(r).then((function(n){return n.doValidation(r.toString(),e)})).then((function(n){if(monaco.editor.getModel(r).getVersionId()===i){var e=n.map((function(n){return e="number"==typeof(t=n).code?String(t.code):t.code,{severity:f(t.severity),startLineNumber:t.range.start.line+1,startColumn:t.range.start.character+1,endLineNumber:t.range.end.line+1,endColumn:t.range.end.character+1,message:t.message,code:e,source:t.source};var t,e})),o=monaco.editor.getModel(r);o&&o.getModeId()===t&&monaco.editor.setModelMarkers(o,t,e)}})).then(void 0,(function(n){console.error(n)}))}},n}();function c(n){return n.changes.map((function(n){return{start:n.rangeOffset,end:n.rangeOffset+n.text.length}}))}function f(n){switch(n){case e.DiagnosticSeverity.Error:return monaco.MarkerSeverity.Error;case e.DiagnosticSeverity.Warning:return monaco.MarkerSeverity.Warning;case e.DiagnosticSeverity.Information:return monaco.MarkerSeverity.Info;case e.DiagnosticSeverity.Hint:return monaco.MarkerSeverity.Hint;default:return monaco.MarkerSeverity.Info}}t.DiagnosticsAdapter=a;var s={Column:"C71585",Comment:"008000",Database:"C71585",Function:"0000FF",Identifier:"000000",Keyword:"0000FF",Literal:"B22222",ScalarOperator:"000000",MaterializedView:"C71585",MathOperator:"000000",Command:"0000FF",Parameter:"2B91AF",PlainText:"000000",Punctuation:"000000",QueryOperator:"CC3700",QueryParameter:"CC3700",StringLiteral:"B22222",Table:"C71585",Type:"0000FF",Variable:"191970",Directive:"9400D3",ClientParameter:"b5cea8",SchemaMember:"C71585",SignatureParameter:"2B91AF",Option:"000000"},l={Column:"4ec9b0",Comment:"608B4E",Database:"c586c0",Function:"dcdcaa",Identifier:"d4d4d4",Keyword:"569cd6",Literal:"ce9178",ScalarOperator:"d4d4d4",MaterializedView:"c586c0",MathOperator:"d4d4d4",Command:"d4d4d4",Parameter:"2B91AF",PlainText:"d4d4d4",Punctuation:"d4d4d4",QueryOperator:"9cdcfe",QueryParameter:"9cdcfe",StringLiteral:"ce9178",Table:"c586c0",Type:"569cd6",Variable:"d7ba7d",Directive:"b5cea8",ClientParameter:"b5cea8",SchemaMember:"4ec9b0",SignatureParameter:"2B91AF",Option:"d4d4d4"},d=function(){function n(n,t,e,i){var o,a,f,d=this;this._languageId=n,this._worker=t,this._disposables=[],this._contentListener=Object.create(null),this._configurationListener=Object.create(null),this._schemaListener=Object.create(null),this.decorations=[],o=document.getElementsByTagName("head")[0],(a=document.createElement("style")).type="text/css",a.media="screen",o.appendChild(a),a.innerHTML=(f=u,Object.keys(f).filter((function(n){return"number"==typeof f[n]}))).map((function(n){return{classification:n,colorLight:s[n],colorDark:l[n]}})).map((function(n){return".vs ."+n.classification+" {color: #"+n.colorLight+";} .vs-dark ."+n.classification+" {color: #"+n.colorDark+";}"})).join("\n");var p=function(n){var t=n.getModeId();if(t===d._languageId){var o=r.debounce((function(e){return d._doColorization(n,t,e)}),500);d._contentListener[n.uri.toString()]=n.onDidChangeContent((function(n){var t=c(n);o(t)})),d._configurationListener[n.uri.toString()]=e.onDidChange((function(){self.setTimeout((function(){return d._doColorization(n,t,[])}),0)})),d._schemaListener[n.uri.toString()]=i((function(){self.setTimeout((function(){return d._doColorization(n,t,[])}),0)}))}},h=function(n){n.deltaDecorations(d.decorations,[]);var t=n.uri.toString(),e=d._contentListener[t];e&&(e.dispose(),delete d._contentListener[t]);var r=d._configurationListener[t];r&&(r.dispose(),delete d._configurationListener[t]);var i=d._configurationListener[t];i&&(i.dispose(),delete d._schemaListener[t])};this._disposables.push(monaco.editor.onDidCreateModel(p)),this._disposables.push(monaco.editor.onWillDisposeModel(h)),this._disposables.push(monaco.editor.onDidChangeModelLanguage((function(n){h(n.model),p(n.model)}))),this._disposables.push({dispose:function(){for(var n in d._contentListener)d._contentListener[n].dispose()}}),monaco.editor.getModels().forEach(p)}return n.prototype.dispose=function(){this._disposables.forEach((function(n){return n&&n.dispose()})),this._disposables=[]},n.prototype._rangeDoesNotIntersectAny=function(n,t){return t.every((function(t){return n.startLineNumber>t.lastImpactedLine||n.endLineNumber<t.firstImpactedLine}))},n.prototype._doColorization=function(n,t,e){var r=this;if(!n.isDisposed()){var i=n.uri,a=n.getVersionId();this._worker(i).then((function(n){return n.doColorization(i.toString(),e)})).then((function(e){if(monaco.editor.getModel(n.uri).getVersionId()===a){var i=e.map((function(t){var e=t.classifications.map((function(t){return function(n,t){var e=n.getPositionAt(t.start),r=n.getPositionAt(t.start+t.length),i=new o(e.lineNumber,e.column,r.lineNumber,r.column),a=u.$names[t.kind];return{range:i,options:{inlineClassName:a,stickiness:monaco.editor.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges}}}(n,t)})).filter((function(n){return"PlainText"!==n.options.inlineClassName&&"Identifier"!=n.options.inlineClassName})),r=n.getPositionAt(t.absoluteStart).lineNumber,i=n.getPositionAt(t.absoluteEnd);return{decorations:e,firstImpactedLine:r,lastImpactedLine:1==i.column&&i.lineNumber>1?i.lineNumber-1:i.lineNumber}})),c=i.map((function(t){return n.getLinesDecorations(t.firstImpactedLine,t.lastImpactedLine).filter((function(n){return s[n.options.inlineClassName]})).map((function(n){return n.id}))})).reduce((function(n,t){return n.concat(t)}),[]),f=i.reduce((function(n,t){return n.concat(t.decorations)}),[]);n&&n.getModeId()===t&&(r.decorations=n.deltaDecorations(c,f))}})).then(void 0,(function(n){console.error(n)}))}},n}();function p(n){if(n)return{character:n.column-1,line:n.lineNumber-1}}function h(n){if(n)return new o(n.start.line+1,n.start.character+1,n.end.line+1,n.end.character+1)}function g(n){var t=monaco.languages.CompletionItemKind;switch(n){case e.CompletionItemKind.Text:return t.Text;case e.CompletionItemKind.Method:return t.Method;case e.CompletionItemKind.Function:return t.Function;case e.CompletionItemKind.Constructor:return t.Constructor;case e.CompletionItemKind.Field:return t.Field;case e.CompletionItemKind.Variable:return t.Variable;case e.CompletionItemKind.Class:return t.Class;case e.CompletionItemKind.Interface:return t.Interface;case e.CompletionItemKind.Module:return t.Module;case e.CompletionItemKind.Property:return t.Property;case e.CompletionItemKind.Unit:return t.Unit;case e.CompletionItemKind.Value:return t.Value;case e.CompletionItemKind.Enum:return t.Enum;case e.CompletionItemKind.Keyword:return t.Keyword;case e.CompletionItemKind.Snippet:return t.Snippet;case e.CompletionItemKind.Color:return t.Color;case e.CompletionItemKind.File:return t.File;case e.CompletionItemKind.Reference:return t.Reference}return t.Property}function v(n){if(n)return{range:h(n.range),text:n.newText}}t.ColorizationAdapter=d;var _=function(){function n(n,t){this._worker=n,this.languageSettings=t}return Object.defineProperty(n.prototype,"triggerCharacters",{get:function(){return[" "]},enumerable:!1,configurable:!0}),n.prototype.provideCompletionItems=function(n,t,r,i){var u=n.getWordUntilPosition(t),a=new o(t.lineNumber,u.startColumn,t.lineNumber,u.endColumn),c=n.uri,f=this.languageSettings.onDidProvideCompletionItems;return this._worker(c).then((function(n){return n.doComplete(c.toString(),p(t))})).then((function(n){return f?f(n):n})).then((function(n){if(n){var t=n.items.map((function(n){var t={label:n.label,insertText:n.insertText,sortText:n.sortText,filterText:n.filterText,documentation:n.documentation,detail:n.detail,range:a,kind:g(n.kind)};return n.textEdit&&(t.range=h(n.textEdit.range),t.insertText=n.textEdit.newText),n.insertTextFormat===e.InsertTextFormat.Snippet&&(t.insertTextRules=monaco.languages.CompletionItemInsertTextRule.InsertAsSnippet),t}));return{isIncomplete:n.isIncomplete,suggestions:t}}}))},n}();function m(n){return"string"==typeof n?{value:n}:(t=n)&&"object"==typeof t&&"string"==typeof t.kind?"plaintext"===n.kind?{value:n.value.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}:{value:n.value}:{value:"```"+n.value+"\n"+n.value+"\n```\n"};var t}function y(n){if(n)return Array.isArray(n)?n.map(m):[m(n)]}function b(n){return{uri:i.parse(n.uri),range:h(n.range)}}t.CompletionAdapter=_;var w=function(){function n(n){this._worker=n}return n.prototype.provideDefinition=function(n,t,e){var r=n.uri;return this._worker(r).then((function(n){return n.findDefinition(r.toString(),p(t))})).then((function(n){if(n&&0!=n.length)return[b(n[0])]}))},n}();t.DefinitionAdapter=w;var k=function(){function n(n){this._worker=n}return n.prototype.provideReferences=function(n,t,e,r){var i=n.uri;return this._worker(i).then((function(n){return n.findReferences(i.toString(),p(t))})).then((function(n){if(n)return n.map(b)}))},n}();t.ReferenceAdapter=k;var x=function(){function n(n){this._worker=n}return n.prototype.provideRenameEdits=function(n,t,e,r){var o=n.uri;return this._worker(o).then((function(n){return n.doRename(o.toString(),p(t),e)})).then((function(n){return function(n){if(n&&n.changes){var t=[];for(var e in n.changes)for(var r=i.parse(e),o=0,u=n.changes[e];o<u.length;o++){var a=u[o];t.push({resource:r,edit:{range:h(a.range),text:a.newText}})}return{edits:t}}}(n)}))},n}();t.RenameAdapter=x;var C=function(){function n(n){this._worker=n}return n.prototype.provideDocumentFormattingEdits=function(n,t,e){var r=n.uri;return this._worker(r).then((function(n){return n.doDocumentFormat(r.toString()).then((function(n){return n.map((function(n){return v(n)}))}))}))},n}();t.DocumentFormatAdapter=C;var I=function(){function n(n){this._worker=n}return n.prototype.provideDocumentRangeFormattingEdits=function(n,t,e,r){var i=n.uri;return this._worker(i).then((function(n){return n.doRangeFormat(i.toString(),function(n){if(n)return{start:p(n.getStartPosition()),end:p(n.getEndPosition())}}(t)).then((function(n){return n.map((function(n){return v(n)}))}))}))},n}();t.FormatAdapter=I;var S=function(){function n(n){this._worker=n}return n.prototype.provideFoldingRanges=function(n,t,e){var r=n.uri;return this._worker(r).then((function(n){return n.doFolding(r.toString()).then((function(n){return n.map((function(n){return function(n){return{start:n.startLine+1,end:n.endLine+1,kind:monaco.languages.FoldingRangeKind.Region}}(n)}))}))}))},n}();t.FoldingAdapter=S;var A=function(){function n(n){this._worker=n}return n.prototype.provideHover=function(n,t,e){var r=n.uri;return this._worker(r).then((function(n){return n.doHover(r.toString(),p(t))})).then((function(n){if(n)return{range:h(n.range),contents:y(n.contents)}}))},n}();t.HoverAdapter=A}));var __assign=this&&this.__assign||function(){return(__assign=Object.assign||function(n){for(var t,e=1,r=arguments.length;e<r;e++)for(var i in t=arguments[e])Object.prototype.hasOwnProperty.call(t,i)&&(n[i]=t[i]);return n}).apply(this,arguments)};define("vs/language/kusto/kustoMode",["require","exports","./workerManager","./languageService/kustoMonarchLanguageDefinition","./languageFeatures"],(function(n,t,e,r,i){"use strict";var o,u;Object.defineProperty(t,"__esModule",{value:!0}),t.getKustoWorker=t.setupMode=void 0;var a=new Promise((function(n,t){u=n,t}));t.setupMode=function(n){var t,a=new monaco.Emitter,c=[],f=new e.WorkerManager(n);c.push(f);var s=function(n){for(var t=[],e=1;e<arguments.length;e++)t[e-1]=arguments[e];var r=function(n,t,e){t.setSchema(n).then((function(){a.fire(n)}))},i=f.getLanguageServiceWorker.apply(f,[n].concat(t));return i.then((function(n){return __assign(__assign({},n),{setSchema:function(t){return r(t,n)},setSchemaFromShowSchema:function(t,e,i,o){n.normalizeSchema(t,e,i).then((function(n){return o?__assign(__assign({},n),{globalParameters:o}):n})).then((function(t){return r(t,n)}))}})}))};return c.push(monaco.languages.registerCompletionItemProvider("kusto",new i.CompletionAdapter(s,n.languageSettings))),n.languageSettings.useTokenColorization&&(t=monaco.languages.setMonarchTokensProvider("kusto",r.KustoLanguageDefinition)),n.onDidChange((function(n){n.languageSettings.useTokenColorization||void 0===t||(t.dispose(),t=void 0),n.languageSettings.useTokenColorization&&null==t&&(t=monaco.languages.setMonarchTokensProvider("kusto",r.KustoLanguageDefinition))})),c.push(new i.DiagnosticsAdapter("kusto",s,n,a.event)),c.push(new i.ColorizationAdapter("kusto",s,n,a.event)),c.push(monaco.languages.registerDocumentRangeFormattingEditProvider("kusto",new i.FormatAdapter(s))),c.push(monaco.languages.registerFoldingRangeProvider("kusto",new i.FoldingAdapter(s))),c.push(monaco.languages.registerDefinitionProvider("kusto",new i.DefinitionAdapter(s))),c.push(monaco.languages.registerRenameProvider("kusto",new i.RenameAdapter(s))),c.push(monaco.languages.registerReferenceProvider("kusto",new i.ReferenceAdapter(s))),n.languageSettings.enableHover&&c.push(monaco.languages.registerHoverProvider("kusto",new i.HoverAdapter(s))),monaco.languages.registerDocumentFormattingEditProvider("kusto",new i.DocumentFormatAdapter(s)),o=s,u(s),monaco.languages.setLanguageConfiguration("kusto",{folding:{offSide:!1,markers:{start:/^\s*[\r\n]/gm,end:/^\s*[\r\n]/gm}},comments:{lineComment:"//",blockComment:null}}),o},t.getKustoWorker=function(){return a.then((function(){return o}))}}));